<?php

class AndroidController extends BaseController{

     public function validar($clave, $password){

          $result=DB::table('alumno')->select('password')->where('no_cuenta','=',$clave)->get();
          if(!is_null($result)){

              foreach($result as $i){
                  if(Hash::check($password,$i->password)){
                      return "Aceptado";
                  }
              }
          }

          return "Rechazado";
     }

     public function listarInformesAlumno(){
          $informes=DB::table('informes')->select('asunto','texto')->orderBy('created_at','DESC')->get();
          $data=array();

          foreach($informes as $i){
              $tmp=array();
              $tmp['Asunto']=$i->asunto;
              $tmp['Detalles']=$i->texto;
              array_push($data, $tmp);
          }


          return json_encode($data);
     }

     public function listarTareasAlumno(){
          $tareas=DB::table('tarea')->select('nombre','tipo','descripcion')->orderBy('created_at','DESC')->get();
          $data=array();

          foreach($tareas as $i){
              $tmp=array();
              $tmp['Nombre']=$i->nombre;
              $tmp['Tipo']=$i->tipo;
              $tmp['Descripcion']=$i->descripcion;
              array_push($data, $tmp);
          }

          return json_encode($data);
     }



     public function registrar($regId){

          DB::table('android')->insert(['registration_id'=>$regId]);

     }

     public static function notifica($mensaje){

          $registration_ids=array();
          $android=DB::table('android')->get();
          foreach ($android as $i) {
               array_push($registration_ids,$i->registration_id);
          }

          $url='https://android.googleapis.com/gcm/send';
          $message=array("Notice"=>$mensaje);
          $fields=array(
                   'registration_ids'=>$registration_ids,
                   'data'=>$message
               );
          $headers=array(
                   'Authorization: key=AIzaSyC7MEImwq2lxmaDWCUPz1YqAB9Edv5H5qs',
                   'Content-Type: application/json'
               );
          //Abrir conexion
          echo "Abriendo conexion <br>";
          $ch=curl_init();

          //Establecer datos
          curl_setopt($ch, CURLOPT_URL, $url);
          curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
          //Deshabilitar SSL
          curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
          curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($fields));
          //Ejecutar post
          echo "Ejecutando...<br>";
          $result=curl_exec($ch);

          if($result === false){
               die("Error curl: " . curl_error($ch));
          }
          curl_close($ch);
    }

    public static function sendNotification($msg){
        $app_id = 'ca5dd005';
        $private_key = 'e52b78fb5548c29062295f2d46d431762e0c69ca8bc6d67d';
        $url = 'https://push.ionic.io/api/v1/push';

        $alumnos_ids = Alumno::where('notificacion_movil_activa', 1)->lists('id_alumno');
        $profesores_ids = Profesor::where('notificacion_movil_activa', 1)->lists('id_profesor');

        $users_ids = array_merge($alumnos_ids, $profesores_ids);

        //Covierte a string los ids
        for($i = 0; $i < sizeof($users_ids); $i++){
    		$users_ids[$i] = (String)$users_ids[$i];
    	}

        $data = [
            'user_ids' => $users_ids,
            'notification' => ['alert' => $msg]
        ];

        $data_string = json_encode($data);

        $headers = [
            'Content-Type: application/json',
            'X-Ionic-Application-Id: ' . $app_id,
            'Content-Length: ' . strlen($data_string),
            'Authorization: Basic ' . base64_encode($private_key)
        ];

        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);

        $result = curl_exec($ch);

        var_dump($result);

    }

}


?>
