<?php

class StatisticsController extends \BaseController {

	private function checkSymbol(Array $arr, $symbol){

		$counter = 0;

		/*
			Cuenta el numero de alumnos que aun no ha guardado
			su estilo de aprendizaje
		*/
		if($symbol == ''){
			foreach($arr as $i){
				if($i == ''){
					$counter++;
				}
			}

			return $counter;
		}

		/*
			Si ya se guardo un estilo, buscar mediante strpos
		*/
		foreach($arr as $key => $value){
			if(strpos($value, $symbol) !== false){
				$counter++;
			}
		}

		return $counter;

	}

	/*
		Devuelve un arreglo con con el formato de una grafica de dona
		de acuerdo a chartist
	*/

	private function getStudentStyleDataForChart(){

		$nums = [];
		$labels = ['Visual', 'Aural', 'Lectoescritor', 'Kinestesico', 'Sin Estilo'];
		$estilosAlumnos = Alumno::lists('estilos');

		$nums[0] = $this->checkSymbol($estilosAlumnos, 'v');
		$nums[1] = $this->checkSymbol($estilosAlumnos, 'a');
		$nums[2] = $this->checkSymbol($estilosAlumnos, 'r');
		$nums[3] = $this->checkSymbol($estilosAlumnos, 'k');
		$nums[4] = $this->checkSymbol($estilosAlumnos, '');

		/*
			Formato de chartist, $labels y $series son arreglos
		*/
		$data = [
			// 'labels' => $labels,
			'series' => $nums
		];

		return $data;

	}


	/*
		Transforma un arreglo en formato JSONP
	*/
	private function getJsonpData($data){

		$json = 'jsonp_callback(';
		$json .= json_encode($data);
		$json .= ')';

		return $json;

	}

	public function index(){

		return View::make('pages.estadisticas');

	}

	public function stadisticsData(){

		$data = $this->getStudentStyleDataForChart();
		$json = $this->getJsonpData($data);

		return $json;

	}

}
