<?php

class TareaAlumnoController extends BaseController{

     public function tareasAlumno($id){
          if(Session::has('isProfesor')){

              return View::make('pages.alumnoCalifica');
          }
          else{
               $msg="<div class='alert alert-warning'><b>
               Hey! estás intentando acceder a contenido no autorizado, éste incidente será reportado.</b></div>";
               return Redirect::to('index')->with('message', $msg);;
          }
     }

     public function calificarTarea($id){

          $idAlumno=DB::table('tarea_alumno')->where('id_tarea_alumno','=',$id)->pluck('id_alumno');
          $cal=["calificacion"=>Input::get("calificacion")];
          $rules=["calificacion"=>"numeric|required|max:10|min:0"];
          $validator=Validator::make($cal,$rules);

          if($validator->fails()){
               return Redirect::back()->withErrors($validator);
          }

          DB::table("tarea_alumno")->where("id_tarea_alumno",'=',$id)->update(["calificacion"=>$cal["calificacion"],"observaciones"=>Input::get('observaciones')]);
          $tareaAlumno=TareaAlumno::find($id);
          $msg="<div class='alert alert-success'><b>Ha asignado una calificación de $tareaAlumno->calificacion</b></div>";

          return Redirect::back()->with("message",$msg);
     }

     public function muestraTareaAlumno($id){
          $tarea=TareaAlumno::find($id);
          $filename=$tarea->nombre;
          $datas=stream_get_contents($tarea->datas);
          $content="Content-type: ".$tarea->mime;
          $compressType=array("application/x-gzip","application/x-compressed","multipart/x-gzip",
               "application/x-tar","application/x-zip-compressed","application/zip","multipart/x-zip");

          if(in_array($tarea->mime, $compressType)){
               header($content);
               header('Content-Disposition: attachment; filename="'.$filename.'"');
               echo base64_decode($datas);
          }
          else{

          header($content);
          echo base64_decode($datas);
          }
     }

     public function enviarTarea($idTarea, $idAlumno){
          $tarea=Tarea::find($idTarea);

          if(!($tarea->disponible)){
               $msg = "<div class='alert alert-danger'><b>El profesor ha indicado que ya no se acepta más ésta tarea.</b></div>";
               return Redirect::to('menuAlumno')->with('message',$msg);
          }

          if(Input::hasFile('file')){

               $alumno=Alumno::find($idAlumno);
               $file=Input::file('file');

               $tareaAlumno=DB::table('tarea_alumno')->where('id_tarea','=',$idTarea)->where('id_alumno','=',$idAlumno)->get();

               if(sizeof($tareaAlumno) > 0){
                    DB::table('tarea_alumno')->where('id_tarea','=',$idTarea)->where('id_alumno','=',$idAlumno)->update(array('datas'=>base64_encode(file_get_contents($file->getRealPath()))));
                    DB::table('tarea_alumno')->where('id_tarea','=',$idTarea)->where('id_alumno','=',$idAlumno)->update(array('nombre'=>$file->getClientOriginalName()));
                    DB::table('tarea_alumno')->where('id_tarea','=',$idTarea)->where('id_alumno','=',$idAlumno)->update(array('tamano'=>($file->getSize()/1000)));
                    DB::table('tarea_alumno')->where('id_tarea','=',$idTarea)->where('id_alumno','=',$idAlumno)->update(array('mime'=>$file->getMimeType()));
                    DB::table('tarea_alumno')->where('id_tarea','=',$idTarea)->where('id_alumno','=',$idAlumno)->increment('intentos');

                    $msg="<div class='alert alert-info'><b>
                    Ya habías subido ésta tarea, se ha sobreescrito, recuerda que se están contanto el número de intentos.</b></div>";
                    return Redirect::to('menuAlumno')->with('message', $msg);
               }

               $database=array('id_tarea'=>$idTarea, 'id_alumno'=>$idAlumno,
                    'nombre'=>$file->getClientOriginalName(),
                    'datas'=>base64_encode(file_get_contents($file->getRealPath())),
                    'tamano'=>($file->getSize()/1000),
                    'mime'=>$file->getMimeType(),
                    'tipo'=>$tarea->tipo,
                    'intentos'=>1);

               TareaAlumno::create($database);
               $msg="<div class='alert alert-success'><b>
               Logro desbloqueado: Cumpliendo con los deberes.</b></div>";

               return Redirect::to('menuAlumno')->with('message', $msg);
          }
          else{
               $msg="<div class='alert alert-danger'><b>
               Hey!! tienes que cargar el archivo antes de subir tu tarea.</b></div>";
               return Redirect::to('misTareas')->with('message', $msg);
          }





     }


}


?>
