<?php

class TareaController extends BaseController{

     public function muestraTarea($id){

          $tarea=Tarea::find($id);
          $datas=stream_get_contents($tarea->datas);
          $content="Content-type: application/pdf";
          header($content);
          echo base64_decode($datas);
     }

     public function cancelarTarea($id){
          $tarea=Tarea::find($id);
          $nombre=$tarea->nombre;
          $tarea->disponible=false;
          $tarea->save();

          $msg="<div class='alert alert-warning'><b>Ha cancelado el envío de la tarea: $nombre</b></div>";

          return Redirect::to('menuProfesor')->with('message',$msg);

     }

    public function activarTarea($id){
        $tarea = Tarea::find($id);
        $nombre = $tarea->nombre;
        $tarea->disponible = true;
        $tarea->save();

        $msg="<div class='alert alert-warning'><b>Ha activado el envío de la tarea: $nombre</b></div>";

        return Redirect::to('menuProfesor')->with('message', $msg);
    }

    /*API Dispositivos moviles*/

    private static function cors(){

        // Allow from any origin
        if (isset($_SERVER['HTTP_ORIGIN'])) {
            header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
            header('Access-Control-Allow-Credentials: true');
            header('Access-Control-Max-Age: 86400');    // cache for 1 day
        }

        // Access-Control headers are received during OPTIONS requests
        if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

            if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
                header("Access-Control-Allow-Methods: GET, POST, OPTIONS");

            if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
                header("Access-Control-Allow-Headers: {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

            exit(0);
        }

    }

    public function index(){

        TareaController::cors();

        $tareas = Tarea::select('nombre', 'descripcion', 'disponible')->orderBy('created_at', 'DESC')->get();

        return Response::json($tareas);
    }

}

?>
