<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the Closure to execute when that URI is requested.
|
*/

Route::get('/', function()
{
	return View::make('pages.index');
});

Route::get('index', function(){

     return View::make('pages.index');
});

Route::get('acceso', function(){

     if(Session::has('isAlumno') || Session::has('isProfesor')){

          $msg="<div class='alert alert-warning'><b>
          Hey!! ya estás logueado, si estás intentando de alguna manera corromper el sistema
          recuerda que tu historial de navegación esta siendo registrado.</b></div>";

          return Redirect::to('index')->with('message', $msg);
     }
     else{
          return View::make('pages.acceso');
     }
});

Route::get('estilosAprendizaje', function(){

    //return View::make('pages.estilosAprendizaje');
	return View::make('pages.vark');

});

Route::get('estadisticas', ['before' => 'loggedProfesor', 'uses' => 'StatisticsController@index']);
Route::get('stadisticsData', 'StatisticsController@stadisticsData');

Route::get('materialTarea', ['before' => 'loggedAlumno', function(){
	$data = Input::all();

	if($data['e'] == 'none'){
		$materiales = [];
		return View::make('pages.materialTarea', compact('materiales'));
	}

	// Test query: Recurso::bytype('imagen')->likename('usabilidad')->lists('nombre', 'id_recurso')

	$materiales = [];
	$materialesURL = [];
	// Agregar elementos a $materiales dependiendo el estilo
	if(strpos($data['e'], 'v') !== false){
		$visual = Recurso::bytype('imagen')->likename($data['t'])->lists('nombre', 'id_recurso');
		foreach($visual as $key => $value){
			$materiales[$key] = '(Imagen) '.$value;
		}
	}
	if(strpos($data['e'], 'a') !== false){
		$aural = Recurso::bytype('video')->likename($data['t'])->lists('nombre', 'id_recurso');
		foreach($aural as $key => $value){
			$materiales[$key] = '(Video) '.$value;
		}
	}
	if(strpos($data['e'], 'r') !== false){
		$read = Recurso::bytype('lectura')->likename($data['t'])->lists('nombre', 'id_recurso');
		$links = Recurso::bytype('enlace')->likename($data['t'])->lists('nombre', 'url');
		foreach($read as $key => $value){
			$materiales[$key] = '(Lectura) '.$value;
		}
		foreach($links as $key => $value){
			$materialesURL[$key] = '(Enlace) '.$value;
		}
	}
	if(strpos($data['e'], 'k') !== false){
		$kin = Recurso::bytype('imagen')->likename($data['t'])->lists('nombre', 'id_recurso');
		foreach($kin as $key => $value){
			$materiales[$key] = '(Codigo) '.$value;
		}
	}

	return View::make('pages.materialTarea', compact('materiales', 'materialesURL'));


}]);

Route::get('listaAlumnos', function(){

     if(Session::has('isProfesor')){
          return View::make('pages.listaAlumnos');
     }
     else{
          $msg="<div class='alert alert-danger'><b>Profesor inválido</b></div>";
          return Redirect::to('index')->with('message', $msg);
     }
});

Route::get('darInforme', function(){

     if((Session::has('isProfesor')) && (!Session::has('isAlumno'))){
          return View::make('pages.darInforme');
     }
     else{
          $msg="<div class='alert alert-warning'><b>
          Hey!! estás intentando acceder a contenido no autorizado, éste incidente será reportado.</b></div>";
          return Redirect::to('index')->with('message', $msg);
     }
});

Route::get('ayudaAlumno', function(){
     if((Session::has('isAlumno')) && (!Session::has('isProfesor'))){
          return View::make('pages.ayudaAlumno');
     }
     else{
          $msg="<div class='alert alert-warning'><b>
          Hey!! estás intentando acceder a contenido no autorizado, éste incidente será reportado.</b></div>";
          return Redirect::to('index')->with('message', $msg);
     }
});

Route::get("ayudaProfesor",function(){
     if(Session::has("isProfesor")){
          return View::make("pages.ayudaProfesor");
     }
     else{
          $msg="<div class='alert alert-danger'><b>Profesor inválido</b></div>";
          return Redirect::to("index")->with("message",$msg);
     }
});

Route::get('reasignarPass',function(){
     if(Session::has('isProfesor')){
          return View::make('pages.reasignarPassword');
     }
     else{
          $msg="<div class='alert alert-danger'><b>Estas intentando acceder a contenido no autorizado, este incidente será reportado.</b></div>";

          return Redirect::to('/')->with('message',$msg);
     }
});



Route::get('menuAlumno', function(){

     if((Session::has('isAlumno')) || (Session::has('isProfesor'))){
          return View::make('pages.menuAlumno');
     }
     else{
          $msg="<div class='alert alert-warning'><b>
          Hey! estás intentando acceder a contenido no autorizado, éste incidente será reportado.</b></div>";
          return Redirect::to('index')->with('message', $msg);
     }

});

Route::get('menuProfesor', function(){

     if((Session::has('isProfesor')) && (!Session::has('isAlumno'))){
          return View::make('pages.menuProfesor');
     }
     else{
          $msg="<div class='alert alert-warning'><b>
          Hey! estás intentando acceder a contenido no autorizado, éste incidente será reportado.</b></div>";
          return Redirect::to('index')->with('message', $msg);
     }

});


Route::get('misTareas', function(){
     if(Session::has('isAlumno') || Session::has('isProfesor')){
          return View::make('pages.tareas');
     }
     else{
          $msg="<div class='alert alert-warning'><b>
          Hey! estás intentando acceder a contenido no autorizado, éste incidente será reportado.</b></div>";
          return Redirect::to('index')->with('message', $msg);
     }
});

Route::get('misCalificaciones', function(){
     if(Session::has('isAlumno')){
          return View::make('pages.misCalificaciones');
     }
     else{
          $msg="<div class='alert alert-warning'><b>
          Hey! estás intentando acceder a contenido no autorizado, éste incidente será reportado.</b></div>";
          return Redirect::to('index')->with('message', $msg);
     }
});

Route::get('panelControl', ['before' => 'loggedProfesor', function(){

	$alumnos = Alumno::select('id_alumno', 'nombre', 'apellido_pat', 'apellido_mat')->get();
	$profesores = Profesor::select('id_profesor', 'nombre', 'apellido_pat', 'apellido_mat')->get();
	$alumnosNum = sizeof($alumnos);

	return View::make('pages.panelControl', compact('alumnosNum', 'alumnos', 'profesores'));
}]);

Route::get('google-calendario', ['before' => 'logged', function(){
	return View::make('pages.calendario');
}]);

Route::post('subirTareaPdf', function(){

     Config::set('auth.model', 'Profesor');

     /*$rules=array(
               'mes'=>'required',
               'dia'=>'required',
               'tipo'=>'required'
          );

     $fields=array(
               'mes'=>Input::get('mes'),
               'dia'=>Input::get('dia'),
               'tipo'=>Input::get('tipo')
          );

     $fields['mes']=$fields['mes'] + 1;

     $validator=Validator::make($fields, $rules);

     if($validator->fails()){
          return Redirect::to('subirInfo')->withErrors($validator);
     }

     if($fields['mes'] < date('n', strtotime("now")) && ($fields['dia'] < date('d', strtotime("now")))){
          $msg="<div class='alert alert-danger'><b>
          No puedes dejar tareas en fechas pasadas, mira la fecha de hoy arriba a la derecha.</b></div>";
          return Redirect::to('subirInfo')->with('message', $msg);
     }*/

     if(Input::hasFile('file') && Input::get('nombre') != null){

          $file=Input::file('file');
          //$limitDate=$fields['mes']."/".$fields['dia']."/".date("Y");
          $database=array(
               'id_profesor'=>Auth::user()->id_profesor,
               'nombre'=>Input::get('nombre'),
               'tipo'=>Input::get('tipo'),
               'datas'=>base64_encode(file_get_contents($file->getRealPath())),
               'is_data'=>true,
               'descripcion'=>Input::get('descripcion'),
               'disponible'=>true
               );

          Tarea::create($database);

          $msg="<div class='alert alert-success'><b>
          Ha subido su tarea exitosamente!!</b></div>";

          $msgAndroid='Se ha subido una nueva tarea al curso: '.$database['nombre'];
          //AndroidController::notifica($msgAndroid);
          AndroidController::sendNotification($msgAndroid);

          $emails=DB::table('alumno')->lists('email');
          $nombreTarea=$database['nombre'];
          array_push($emails, 'marco.soulg@gmail.com','smartin@galois.dgae.unam.mx','juan.peralta@ciencias.unam.mx');

          Mail::send('pages.email.cuerpo',['msgEmail'=>"Nombre: $nombreTarea"], function($message) use ($emails,$database){
               $message->from('admin@site.com','Diseño de Interfaces 2015-02');
               $message->to($emails)->subject('Se ha subido una nueva tarea o práctica al sitio.');
          });

          return Redirect::to('menuProfesor')->with('message', $msg);
     }
     else{
          if(Input::get('nombre') == null || Input::get('descripcion') == null ){
               $msg="<div class='alert alert-danger'><b>
               No puedes subir un tarea sin un archivo, nombre y descripción!!</b></div>";

               return Redirect::to('subirInfo')->with('message', $msg);
          }

          //$limitDate=$fields['mes']."/".$fields['dia']."/".date("Y");
          $database=array(
               'id_profesor'=>Auth::user()->id_profesor,
               'nombre'=>Input::get('nombre'),
               'tipo'=>Input::get('tipo'),
               'is_data'=>false,
               'descripcion'=>Input::get('descripcion'),
               'disponible'=>true
               );

          Tarea::create($database);

          $msg="<div class='alert alert-success'><b>
          Ha dejado una tarea, al parecer sin PDF, está bien mientras tenga nombre y descripción.</b></div>";

          $msgAndroid='Se ha subido una nueva tarea al curso: '.$database['nombre'];
          //AndroidController::notifica($msgAndroid);
          AndroidController::sendNotification($msgAndroid);

          $emails=DB::table('alumno')->lists('email');
          $nombreTarea=$database['nombre'];
          array_push($emails, 'marco.soulg@gmail.com','smartin@galois.dgae.unam.mx','juan.peralta@ciencias.unam.mx');

          Mail::send('pages.email.cuerpo',['msgEmail'=>"Nombre: $nombreTarea"], function($message) use ($emails,$database){
               $message->from('admin@site.com','Diseño de Interfaces 2015-02');
               $message->to($emails)->subject('Se ha subido una nueva tarea o práctica al sitio.');
          });

          return Redirect::to('menuProfesor')->with('message', $msg);

     }
});

Route::get('subirInfo', function(){
     if((Session::has('isProfesor')) && (!Session::has('isAlumno'))){
          return View::make('pages.subirInfo');
     }
     else{
          $msg="<div class='alert alert-warning'><b>
          Hey!! estás intentando acceder a contenido no autorizado, éste incidente será reportado.</b></div>";
          return Redirect::to('index')->with('message', $msg);
     }
});

Route::get('configuraciones', ['before' => 'logged', function(){
	$isAlumno;
	$id;
	if(Session::has('isAlumno')){
		$isAlumno = 1;
		$id = Auth::user()->id_alumno;
	}
	else{
		Config::set('auth.model', 'Profesor');
		$isAlumno = 0;
		$id = Auth::user()->id_profesor;
	}

	if(strlen(Auth::user()->estilos) == 0){
		$similares = [];
	}
	else{
		$estilos = Auth::user()->estilos;
		$estilos = '%(' . $estilos . ')%';
		$query = "SELECT nombre, apellido_pat, email, estilos FROM alumno WHERE estilos SIMILAR TO '$estilos' ";
		//$similares = Alumno::where('estilos', 'similar to', '%'.$estilos.'%')->lists('id_alumno');
		$similares = DB::select(DB::raw($query));
	}

    return View::make('pages.configuraciones', compact('isAlumno', 'id', 'similares'));
}]);

Route::get('foro', function(){
     if(Session::has('isProfesor') || Session::has('isAlumno')){
          return View::make('pages.foro');
     }
     else{
          $msg="<div class='alert alert-warning'><b>
          Hey!! estás intentando acceder a contenido no autorizado, éste incidente será reportado.</b></div>";
          return Redirect::to('index')->with('message', $msg);
     }
});

Route::post('reasignarPass',function(){
     $rules=array(
               'no_cuenta'=>"required|size:9",
               'nuevoPass'=>"required|min:3"
          );
     $fields=array(
               'no_cuenta'=>Input::get('no_cuenta'),
               'nuevoPass'=>Input::get('nuevoPass')
          );
     $validator=Validator::make($fields,$rules);
     if($validator->fails()){
          return Redirect::to('reasignarPass')->withErrors($validator);
     }

     $idAlumno=DB::table('alumno')->where('no_cuenta',$fields['no_cuenta'])->pluck('id_alumno');

     if(is_null($idAlumno)){
          $msg="<div class='alert alert-danger'><b>Este número de cuenta no existe.</b></div>";
          return Redirect::to('reasignarPass')->with('message',$msg);
     }
     else{
          $nuevoPassCypher=Hash::make($fields['nuevoPass']);
          $alumno=Alumno::find($idAlumno);
          $alumno->password=$nuevoPassCypher;
          $alumno->save();

          $msg="<div class='alert alert-info'><b>Ha modificado el password del alumno con id: $idAlumno</b></div>";

          return Redirect::to('menuProfesor')->with('message',$msg);
     }
});

Route::post('cambiarPassword', function(){
     $user;
     if(Session::has('isProfesor')){
          Config::set('auth.model','Profesor');
          $user=Profesor::find(Auth::user()->id_profesor);
     }
     else if(Session::has('isAlumno')){
          $user=Alumno::find(Auth::user()->id_alumno);
     }

     $rules=array(
          'actualPass'=>"required|min:3",
          'configPass'=>"required|min:3",
          'configPassConfirm'=>"required|min:3"
          );
     $fields=array(
          'actualPass'=>Input::get('actualPass'),
          'configPass'=>Input::get('configPass'),
          'configPassConfirm'=>Input::get('configPassConfirm')
          );
     $validator=Validator::make($fields,$rules);

     if($validator->fails())
          return Redirect::to('configuraciones')->withErrors($validator);

     if($fields['configPass'] != $fields['configPassConfirm']){
          $msg="<div class='alert alert-danger'><b>Los passwords no coinciden.</b></div>";
          return Redirect::to('configuraciones')->with('message',$msg);
     }

     $actualHashPass=$user->password;

     if(Hash::check($fields['actualPass'],$actualHashPass)){
          $user->password=Hash::make($fields['configPass']);
          $user->save();

          $msg="<div class='alert alert-success'><b>Has cambiado tu contraseña exitosamente!</b></div>";
          return Redirect::to('index')->with('message',$msg);
     }
     else{
          $msg="<div class='alert alert-danger'><b>Ésta no es la contraseña actual</b></div>";
          return Redirect::to('configuraciones')->with('message',$msg);
     }


});

Route::post('subirVideo', function(){

     Config::set('auth.model', 'Profesor');

     $rules=array(
          'nombre'=>array('required', 'min:3'),
          'url'=>array('required', 'url')
          );

     $fields=array(
          'nombre'=>Input::get('nombre'),
          'url'=>Input::get('url')
          );

     $validator=Validator::make($fields, $rules);

     if($validator->fails()){
          return Redirect::to('subirInfo')->withErrors($validator);
     }

     $database=array(
          'id_profesor'=>Auth::user()->id_profesor,
          'nombre'=>$fields['nombre'],
          'tipo'=>"video",
          'url'=>$fields['url'],
          'descripcion'=>Input::get('descripcion')
          );

     Recurso::create($database);

     $msg="<div class='alert alert-success'><b>
     Vídeo subido exitosamente!</b></div>";

     return Redirect::to('menuProfesor')->with('message', $msg);
});

Route::post('compartirEnlace', function(){

     Config::set('auth.model','Profesor');

     $rules=[
     'nombre'=>"required|min:3",
     'url'=>"required|url"
     ];

     $fields=[
     'nombre'=>Input::get('nombre'),
     'url'=>Input::get('url')
     ];

     $validator=Validator::make($fields,$rules);

     if($validator->fails()){return Redirect::to('subirInfo')->withErrors($validator);}

     $database=[
          'id_profesor'=>Auth::user()->id_profesor,
          'nombre'=>$fields['nombre'],
          'tipo'=>'enlace',
          'url'=>$fields['url'],
          'descripción'=>Input::get('descripcion')
     ];

     Recurso::create($database);

     $msg="<div class='alert alert-success'><b>Has publicado un enlace con éxito!</b></div>";

     return Redirect::to('menuProfesor')->with('message',$msg);
});

Route::post('subirArchivo', function(){

     Config::set('auth.model', 'Profesor');

     if(Input::hasFile('file')){

          $file=Input::file('file');
          $d=base64_encode(file_get_contents($file->getRealPath()));
          $database=array(
               'id_profesor'=>Auth::user()->id_profesor,
               'nombre'=>$file->getClientOriginalName(),
               'tipo'=>Input::get('tipo'),
               'datas'=>$d,
               'mime'=>$file->getMimeType(),
               'descripcion'=>Input::get('descripcion')
               );

          /*
          Subir archivo al servidor
          $file=Input::file('file');
          $destinationPath=public_path().'/profesor/'.Input::get('tipo');
          $filename=Input::get('nombre').str_random(6);
          $extension=$file->getClientOriginalExtension();
          $destinationFilename=$filename.'.'.$extension;

          try{
               $upload_success=Input::file('file')->move($destinationPath, $destinationFilename);
               echo "Archivo subido exitosamente";
          }catch(Exception $e){
               return $e;
          }

          $database=array(
               'id_profesor'=>Auth::user()->id_profesor,
               'nombre'=>$destinationFilename,
               'tipo'=>Input::get('tipo'),
               'uri'=>$destinationPath.'/'.$destinationFilename,
               'descripcion'=>Input::get('descripcion')
               );*/

          Recurso::create($database);

          $msg="<div class='alert alert-success'><b>
          Ha subido su archivo sin errores!!</b></div>";

          return Redirect::to('menuProfesor')->with('message', $msg);

     }
     else{

          $msg="<div class='alert alert-danger'><b>No has seleccionado un archivo!</b></div>";

          return Redirect::to('subirInfo')->with('message',$msg);
     }
});

Route::post('validaUsuario', function(){

     $rules=array(
               'clave'=>array('required', 'min:5'),
               'password'=>array('required', 'min:3')
          );

     $validator=Validator::make(Input::all(), $rules);

     if($validator->fails()){
          return Redirect::to('acceso')->withErrors($validator)->withInput(Input::except('password'));
     }
     else{

          if(Auth::attempt(array('no_cuenta'=>Input::get('clave'), 'password'=>Input::get('password')), true)){
               Session::put('isAlumno', true);
               return Redirect::to('menuAlumno')->with('test', true);
          }

          else{

               Config::set('auth.model','Profesor');
               $auth=Auth::createEloquentDriver();
               Auth::setProvider($auth->getProvider());

               if(Auth::attempt(array('clave'=>Input::get('clave'), 'password'=>Input::get('password')), true)){

                    Session::put('isProfesor', true);
                    return Redirect::to('menuProfesor')->with('test', true);
               }

               else{
                    $msg="<div class='alert alert-danger'>
                              <b>Ooops! tus credenciales no son válidas</b>
                         </div>";

                    return Redirect::back()->with('message', $msg);
               }
          }
     }

});

Route::get('logout', function(){
     Auth::logout();
     Session::flush();

     return Redirect::to('/');
});

Route::post('subirInforme', function(){

     Config::set('auth.model', 'Profesor');

     $input=Input::all();
     $input['id_profesor']=Auth::user()->id_profesor;

     $rules=array(
               'asunto'=>array('required'),
               'texto'=>array('required')
          );

     $validator=Validator::make($input, $rules);

     if($validator->fails()){
          return Redirect::to('darInforme')->withErrors($validator);
     }
     else{
          //$emails=DB::table('alumno')->lists('email');
          //array_push($emails, 'marco.soulg@gmail.com', 'cirg@ciencias.unam.mx');
          //Informe::create($input);
          $msg="<div class='alert alert-success'><b>
          Informe enviado!.</b></div>";

          //AndroidController::notifica($input['texto']);
          AndroidController::sendNotification($input['texto']);

        //   Mail::send('pages.email.cuerpo',['msgEmail'=>$input['texto']], function($message) use ($emails,$input){
        //        $message->from('admin@site.com','Diseño de Interfaces 2015-02');
        //        $message->to($emails)->subject($input['asunto']);
        //   });

          return Redirect::to('menuProfesor')->with('message', $msg);
     }


});

Route::post('nuevaPreguntaActividades', function(){
     if(Session::has('isProfesor')){
          Config::set('auth.model', 'Profesor');
          $idPregunta=Auth::user()->id_profesor;
          $isAlumno=false;
     }
     else{
          $idPregunta=Auth::user()->id_alumno;
          $isAlumno=true;
     }

     $rules=array('pregunta'=>'required');
     $fields=array('pregunta'=>Input::get('pregunta'));
     $validator=Validator::make($fields, $rules);

     if($validator->fails()){
          return Redirect::to('foro')->withErrors($validator);
     }

     $database=array('id_pregunta'=>$idPregunta,
                    'pregunta'=>Input::get('pregunta'),
                    'isalumno'=>$isAlumno,
                    'tipo'=>"actividades");

     Foro::create($database);

     if($isAlumno){
          $msg="<div class='alert alert-success'><b>
          Logro desbloqueado: Necesito ayuda.</b></div>";
          return Redirect::to('foro')->with('message', $msg);
     }
     else{
          $msg="<div class='alert alert-success'><b>
          Ha publicado su pregunta en la sección de Actividades.</b></div>";
          return Redirect::to('foro')->with('message', $msg);
     }

});

Route::post('nuevaPregunta', function(){
     if(Session::has('isProfesor')){
          Config::set('auth.model', 'Profesor');
          $idPregunta=Auth::user()->id_profesor;
          $isAlumno=false;
     }
     else{
          $idPregunta=Auth::user()->id_alumno;
          $isAlumno=true;
     }

     $rules=array('pregunta'=>'required');
     $fields=array('pregunta'=>Input::get('pregunta'));
     $validator=Validator::make($fields, $rules);

     if($validator->fails()){
          return Redirect::to('foro')->withErrors($validator);
     }

     $database=array('id_pregunta'=>$idPregunta,
                    'pregunta'=>Input::get('pregunta'),
                    'isalumno'=>$isAlumno,
                    'tipo'=>"dudas");

     Foro::create($database);

     if($isAlumno){
          $msg="<div class='alert alert-success'><b>
          Pregunta publicada</b></div>";

          return Redirect::to('foro')->with('message', $msg);
     }
     else{
          $msg="<div class='alert alert-success'><b>
          Ha publicado su pregunta en la sección de Dudas.</b></div>";
          return Redirect::to('foro')->with('message', $msg);
     }

});

Route::get('verRecurso/{id}', array('uses'=>'RecursoController@muestraRecurso'));

Route::get('verTareaAlumno/{id}', array('uses'=>'TareaAlumnoController@muestraTareaAlumno'));

Route::get('verTareaPdf/{id}', array('uses'=>'TareaController@muestraTarea'));

Route::post('cancelarSubirTarea/{id}', array('uses'=>'TareaController@cancelarTarea'));

Route::post('activarSubirTarea/{id}', array('uses'=>'TareaController@activarTarea'));

Route::post('enviarTarea/{id_tarea}/{id_alumno}', array('uses'=>'TareaAlumnoController@enviarTarea'));

Route::post('responder/{id}/{isAlumno}/{idRespuesta}/{isAlumnoRespuesta}', array('uses'=>'FormController@responder'));

Route::post('calificarTarea/{id}',array('uses'=>'TareaAlumnoController@calificarTarea'));

Route::get("registrarAndroid/{id}",array("uses"=>"AndroidController@registrar"));

Route::get('validarUsuarioAndroid/{clave}/{password}',array('uses'=>'AndroidController@validar'));

Route::get('listarInformesAlumno',array('uses'=>'AndroidController@listarInformesAlumno'));

Route::get('listarTareasAlumno',array('uses'=>'AndroidController@listarTareasAlumno'));

Route::get('mostrarTareaAlumno/{id}', array('uses'=>'TareaAlumnoController@tareasAlumno'));

Route::get('tareasAlumno', function(){
     if(Session::has('isProfesor')){
          return View::make('pages.alumnoCalifica');
     }
     else{
          $msg="<div class='alert alert-warning'><b>
          Hey! estás intentando acceder a contenido no autorizado, éste incidente será reportado.</b></div>";
          return Redirect::to('index')->with('message', $msg);
     }
});

Route::get('creaAlumno', function(){

     return View::make('pages.creaAlumno');
});

Route::post('creaAlumno', function(){

     $input=Input::all();

     $rules=array(
          'no_cuenta'=>array('required', 'size:9', 'unique:alumno,no_cuenta'),
          'password'=>array('required', 'min:3'),
          'email'=>'email',
          'nombre'=>array('required', 'min:3'),
          'apellido_pat'=>array('required', 'min:3'),
          'apellido_mat'=>array('required', 'min:3')
          );

     $validator=Validator::make($input, $rules);

     if($validator->fails()){
          return Redirect::to('creaAlumno')->withErrors($validator)->withInput(Input::except('password'));
     }
     else{

          $input['password']=Hash::make($input['password']);

          $alumno=Alumno::create($input);

          $msg="<div class='alert alert-success'><b>Nuevo alumno creado</b></div>";
          return Redirect::to('index')->with('message', $msg);
     }
});

Route::get('creaProfesor', function(){

     return View::make('pages.creaProfesor');
});

Route::post('creaProfesor', function(){

     $input=Input::all();

     $rules=array(
          'nombre'=>array('required', 'min:3', 'alpha'),
          'apellido_pat'=>array('required', 'min:3', 'alpha'),
          'apellido_mat'=>array('required', 'min:3', 'alpha'),
          'password'=>array('required', 'min:3'),
        //   'email'=>array('required', 'email'),
          'clave'=>array('required', 'min:5')
          );

     $validator=Validator::make($input, $rules);

     if($validator->fails()){
          return Redirect::to('creaProfesor')->withErrors($validator)->withInput(Input::except('password'));
     }
     else{

          $input['password']=Hash::make($input['password']);

          $profesor=Profesor::create($input);

          $msg="<div class='alert alert-success'><b>
          Nuevo profesor creado.</b></div>";

          return Redirect::to('index')->with('message', $msg);
     }
});

/*API Dispositivos moviles*/

Route::get('lista-tareas', 'TareaController@index');

Route::get('lista-anuncios', function(){

	$informes = Informe::select('asunto', 'texto')->orderBy('created_at', 'DESC')->get();

	return Response::json($informes);


});
//Registro de usuarios para dispositivos moviles
Route::post('loginUser', function(){

	//datos enviados desde movil
	$data = json_decode(file_get_contents('php://input'));

	$clave = $data->clave;
	$password = $data->password;

	if(strlen($clave) < 3 || strlen($password) < 3){
		return 'denegado';
	}

	$alumno = Alumno::where('no_cuenta', $clave)->first();

	if($alumno){
		if(Hash::check($password, $alumno->password)){

			$dataJson = [
				'id' => $alumno->id_alumno,
				'nombre' => $alumno->nombre,
				'email' => $alumno->email,
				'isProfesor' => 0
			];

			$alumno->notificacion_movil_activa = 1;
			$alumno->save();

			return Response::json($dataJson);
		}
		else{
			return 'denegado';
		}
	}
	else{
		$profesor = Profesor::where('clave', $clave)->first();
		if($profesor){
			if(Hash::check($password, $profesor->password)){
				$dataJson = [
					'id' => $profesor->id_profesor,
					'nombre' => $profesor->nombre,
					'email' => $profesor->email,
					'isProfesor' => 1
				];

				$profesor->notificacion_movil_activa = 1;
				$profesor->save();

				return Response::json($dataJson);

			}
			else{
				return 'denegado';
			}
		}
		else{
			return 'denegado';
		}
	}
});

/*Nuevas modificaciones*/
Route::get('recurso/{tipo}', ['before' => 'loggedAlumno', 'uses' => 'RecursoController@show']);
Route::post('subirArchivoAlumno/{tipo}', ['before' => 'loggedAlumno', 'uses' => 'RecursoController@uploadFileSt']);
Route::post('compartirEnlaceAlumno/{tipo}', ['before' => 'loggedAlumno', 'uses' => 'RecursoController@shareLinkSt']);
Route::get('showVideo/{id}', ['before' => 'loggedAlumno', 'uses' => 'RecursoController@showVideo']);
Route::post('voteResource', ['before' => 'loggedAlumno', 'uses' => 'RecursoController@voteResource']);
Route::get('listaRecursos', ['before' => 'logged', 'uses' => 'RecursoController@listaRecursos']);

Route::post('guardarEstilos', ['before' => 'logged', function(){

	$user;

	if(Session::has('isProfesor')){
		Config::set('auth.model', 'Profesor');
		$user = Profesor::find(Auth::user()->id_profesor);
	}
	else if(Session::has('isAlumno')){
		$user = Alumno::find(Auth::user()->id_alumno);
	}
	else{
		return Redirect::to('/');
	}
	$estilos = implode('|', array_slice(Input::all(), 1));

	if(strlen($estilos) == 0){
		$msg = "<div class='alert alert-danger'><b>Debes seleccionar al menos un estilo!</b></div>";

		return Redirect::back()->with('message', $msg);
	}

	$user->estilos = $estilos;
	$user->save();
	$msg = "<div class='alert alert-success'><b>Estilo(s) guardado(s)</b></div>";

	return Redirect::back()->with('message', $msg);

}]);

Route::post('changeEmail', ['before' => 'logged', function(){

	$formValues = Input::all();

	if((int)$formValues['isAlumno']){
		$user = Alumno::find((int)$formValues['id']);
		$user->email = $formValues['email'];
		$user->save();
	}
	else{
		$user = Profesor::find((int)$formValues['id']);
		$user->email = $formValues['email'];
		$user->save();
	}

	return Response::json($formValues['email']);

}]);

Route::post('loadStudentsBD', ['before' => 'loggedProfesor', function(){

	if(Input::hasFile('file')){

		$file = Input::file('file');
		$fileName = $file->getRealPath();

		Excel::load($fileName, function($reader){

			$results = $reader->get();
			// echo($results);
			$password = Hash::make('password');
			$email = 'test@mail.com';

			foreach($results as $result){
				$data['nombre'] = $result->nombre;
				$data['apellido_pat'] = $result->apellido;
				$data['apellido_mat'] = $result->apellido_2;
				$data['email'] = $email;
				$data['password'] = $password;
				$data['no_cuenta'] = $result->cuenta;

				Alumno::create($data);
			}

		});
		$msg = "<div class='alert alert-success'><b>Alumnos creados!</b></div>";
		return Redirect::back()->with('message', $msg);

	}
	else{
		echo 'No hay archivo';
	}
}]);
Route::post('deleteDBAlumno', ['before' => 'loggedProfesor', function(){

	$query = "TRUNCATE alumno restart identity cascade";
	DB::statement($query);
	$msg = "<div class='alert alert-warning'><b>Alumnos eliminados!</b></div>";

	return Redirect::back()->with('message', $msg);
}]);
Route::post('deleteAllDB', ['before' => 'loggedProfesor', function(){
	$bases = ['foro_respuesta', 'foro', 'informes', 'recurso', 'tarea_alumno', 'tarea', 'alumno'];

	foreach($bases as $base){
		$query = "TRUNCATE $base restart identity cascade";
		DB::statement($query);
	}

	$msg = "<div class='alert alert-warning'> <b>Información del curso eliminado</b> </div>";

	return Redirect::back()->with('message', $msg);
}]);
Route::post('deleteAlumno/{id}', ['before' => 'loggedProfesor', function($id){
	$alumno = Alumno::find($id);
	$alumno->delete();
	$msg = "<div class='alert alert-info'><b>Se ha eliminado a $alumno->nombre</b></div>";

	return Redirect::back()->with('message', $msg);
}]);
Route::post('deleteProfesor/{id}', ['before' => 'loggedProfesor', function($id){
	Config::set('auth.model', 'Profesor');
	if($id == Auth::user()->id_profesor){
		$msg = "<div class='alert alert-danger'><b>No puedes eliminarte</b></div>";

		return Redirect::back()->with('message', $msg);
	}
	else{
		$profesor = Profesor::find($id);
		$profesor->delete();
		$msg = "<div class='alert alert-info'><b>Se ha eliminado a $profesor->nombre</b></div>";

		return Redirect::back()->with('message', $msg);
	}
}]);
Route::post('newProfesor', ['before' => 'loggedProfesor', function(){
	$fields = Input::all();
	$rules = [
		'nombre' => 'required',
		'apellido_pat' => 'required',
		'apellido_mat' => 'required',
		'clave' => 'required'
	];
	$validator = Validator::make($fields, $rules);
	if($validator->fails()){
		return Redirect::back()->withErrors($validator);
	}
	$passwordHashed = Hash::make('password');
	$database = [
		'nombre' => $fields['nombre'],
		'apellido_pat' => $fields['apellido_pat'],
		'apellido_mat' => $fields['apellido_mat'],
		'clave' => $fields['clave'],
		'password' => $passwordHashed
	];
	Profesor::create($database);
	$msg = "<div class='alert alert-success'><b>Se ha creado un nuevo profesor!</b></div>";

	return Redirect::back()->with('message', $msg);
}]);
Route::post('newAlumno', ['before' => 'loggedProfesor', function(){
	$fields = Input::all();
	$rules = [
		'nombre' => 'required',
		'apellido_pat' => 'required',
		'apellido_mat' => 'required',
		'no_cuenta' => 'required|numeric'
	];
	$validator = Validator::make($fields, $rules);
	if($validator->fails()){
		return Redirect::back()->withErrors($validator);
	}
	$passwordHashed = Hash::make('password');
	$database = [
		'nombre' => $fields['nombre'],
		'apellido_pat' => $fields['apellido_pat'],
		'apellido_mat' => $fields['apellido_mat'],
		'no_cuenta' => $fields['no_cuenta'],
		'password' => $passwordHashed
	];
	Alumno::create($database);
	$msg = "<div class='alert alert-success'><b>Se ha creado un alumno!</b></div>";

	return Redirect::back()->with('message', $msg);
}]);
/*Test Android*/
Route::post('testAnuncio', function(){
	$data = json_decode(file_get_contents('php://input'));
	AndroidController::sendNotification($data->descripcion);

	return json_encode($data);
});
Route::get('testUsers', function(){
	$alumnos = Alumno::where('notificacion_movil_activa', 1)->lists('id_alumno');
	$profesores = Profesor::where('notificacion_movil_activa', 1)->lists('id_profesor');
	$users = array_merge($alumnos, $profesores);

	var_dump($users);
});
