@extends('layouts.default')
@section('cssAdd')
	<style>
		@media only screen and (max-width: 400px){
			.card-eval p{
				font-size: 0.7em;
			}
		}
		.card-eval{
			border-top: 7px solid #36A149;
			margin-top: 10px;
		}
		.card-eval p{
			font-family: Verdana;
			display: inline-block;
			width: 45%;
			text-align: center;
		}
		h3{
			font-family: Verdana !important;
		}
	</style>
@stop

@section('content')
	<?php $idAlumno = Route::input('id'); ?>
	<?php $alumno = Alumno::find($idAlumno); ?>
	<?php $tareaAlumno = DB::table('tarea_alumno')->where('id_alumno','=',$idAlumno)->select('id_tarea_alumno','id_tarea','nombre','datas','calificacion','observaciones','intentos')->remember(2)->orderBy('created_at', 'DESC')->get() ;?>


	<div class="container-fluid">

		@if($errors->has('calificacion'))
			{{"<div class='alert alert-danger'><b>".$errors->first('calificacion')."</b></div>"}}
		@endif
		<p class="go-back-link" onclick="location.href='/listaAlumnos'">
            <i class="fa fa-3x fa-arrow-circle-left"></i><span> Regresar</span>
        </p>
		<h3 class="headline-inverted">
			{{$alumno->nombre .' '. $alumno->apellido_pat .' '. $alumno->apellido_mat}}
		</h3>
		<div class="row-fluid">
			@foreach($tareaAlumno as $tarea)
				<div class="col-sm-6">
					<div class="card-eval">
						<p>
							{{DB::table('tarea')->where('id_tarea',$tarea->id_tarea)->remember(2)->pluck('nombre')}}
						</p>
						<p>
							{{$tarea->intentos}} intento(s)
						</p>
						<p>
							{{HTML::link('verTareaAlumno/'.$tarea->id_tarea_alumno, $tarea->nombre)}}
						</p>
						<p>
							@if(isset($tarea->calificacion))
								<b style="color:green">Sí: </b>
								{{$tarea->calificacion}}
							@else
								<b>Aún no</b>
							@endif
						</p>
						<div>
							{{Form::model($tarea, ['action'=>['TareaAlumnoController@calificarTarea',$tarea->id_tarea_alumno]])}}

										{{Form::textarea('observaciones',null,['size'=>'50x4','class'=>'form-control', 'placeholder'=>'Observaciones...'])}}
										<br/>
										<p>
											{{Form::number('calificacion', null, ['class'=>'form-control alumno-calificacion'])}}
										</p>
										<p>
											{{Form::submit('Calificar', ['class'=>'btn btn-primary'])}}
										</p>

							{{Form::close()}}
						</div>
					</div>
				</div>
			@endforeach
		</div>
	</div>

@stop
