@extends('layouts.default')

@section('cssAdd')
    <link rel="stylesheet" href="/bootstrap-3.2.0-dist/css/bootstrap-switch.min.css">
    <style>
        #config-estilos .config-form{
            margin-bottom: 1.2em;
        }
        #config-estilos label{
            margin-right: 1em;
            color: #404040;
        }
        #config-estilos .panel-estilo span{
            font-family: 'Open Sans' Arial;
            font-size: 3.6em;
        }
        #config-estilos .panel-estilo .panel-heading{
            text-align: center;
            color: #FFF;
        }
        #config-estilos .panel-estilo .panel-body{
            font-size: 1.5em;
            background-color: #F9F9F9;
        }
        #panel-auditivo .panel-heading{
            background-color: #FF7070;
        }
        #panel-lectoescritor .panel-heading{
            background-color: #8585FF;
        }
        #panel-visual .panel-heading{
            background-color: #7EFF70;
        }
        #panel-kinestesico .panel-heading{
            background-color: #FFDB70;
        }
        #status-change-email{
            margin-top: 1em;
            font-weight: bold;
            display: block;
        }
        #msg-change-email1{
            font-size: 1.5em;
        }
        #msg-change-email1 span{
            border-bottom: 3px solid #142E42;
        }
        #config-estilos-comparten .similares .panel-body{
            text-align: center;
            background-color: #F7F7F7;
        }
        #config-estilos-comparten .similares-nombre{
            font-size: 1.6em;
            border-bottom: 1px dotted #D4D4D4;
        }
        #config-estilos-comparten .similares-email{
            color: #4182C4;
            font-weight: bolder;
        }
    </style>
@stop

@section('content')
    <div class="container">

        @if($errors->has('actualPass'))
          {{"<div class='alert alert-danger'><b>".$errors->first('actualPass')."</div></b>"}}
        @elseif($errors->has('configPass'))
          {{"<div class='alert alert-danger'><b>".$errors->first('configPass')."</div></b>"}}
        @elseif($errors->has('configPassConfirm'))
          {{"<div class='alert alert-danger'><b>".$errors->first('configPass')."</div></b>"}}
        @endif

        <ul class="menu-tabs">
            <li> <a data-toggle="tab" href="#config-estilos"><i class="fa fa-child"></i> Mis estilos de aprendizaje </a> </li>
            <li><a data-toggle="tab" href="#config-estilos-comparten"><i class="fa fa-users"></i> Compañeros similares</a></li>
            <li> <a data-toggle="tab" href="#config-email"><i class="fa fa-envelope"></i> Cambiar email </a> </li>
            <li> <a data-toggle="tab" href="#config-password"><i class="fa fa-lock"></i> Cambiar password </a> </li>
        </ul>

        <div class="tab-content">

            <!--Guardar estilos de aprendizaje-->
            <div class="tab-pane fade in active" id="config-estilos">

                @if(strlen($estilos = Auth::user()->estilos))
                    <h3 class="headline-inverted">Recomendaciones de Uso</h3>

                    @if(strpos($estilos, 'v') !== false)
                        <div class="col-sm-6">
                            <div class="panel panel-estilo" id="panel-visual">
                                <div class="panel-heading">
                                    <i class="fa fa-eye fa-4x"></i>
                                    <span>Visual</span>
                                </div>
                                <div class="panel-body">
                                    <ul>
                                        <li>Instrucciones escritas</li>
                                        <li>Mapas conceptuales</li>
                                        <li>Diagramas, modelos, cuadros sinópticos</li>
                                        <li>Animaciones computacionales</li>
                                        <li>Vídeos, transparencias, fotografías e ilustraciones</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    @endif

                    @if(strpos($estilos, 'a') !== false)
                        <div class="col-sm-6">
                            <div class="panel panel-estilo" id="panel-auditivo">
                                <div class="panel-heading">
                                    <i class="fa fa-volume-up fa-4x"></i>
                                    <span>Auditivo</span>
                                </div>
                                <div class="panel-body">
                                    <ul>
                                        <li>Instrucciones verbales</li>
                                        <li>Repetir sonidos parecidos</li>
                                        <li>Audiocasettes</li>
                                        <li>Debates, discusiones y confrontaciones</li>
                                        <li>Lluvia de ideas</li>
                                        <li>Leer el mismo texto con distinta reflexión</li>
                                        <li>Lectura guiada y comentada</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    @endif

                    @if(strpos($estilos, 'r') !== false)
                        <div class="col-sm-6">
                            <div class="panel panel-estilo" id="panel-lectoescritor">
                                <div class="panel-heading">
                                    <i class="fa fa-book fa-4x"></i>
                                    <span>Lectoescritor</span>
                                </div>
                                <div class="panel-body">
                                    <ul>
                                        <li>Escritos de un minuto</li>
                                        <li>Composiciones literarias, diarios, bitácoras y reportes</li>
                                        <li>Elaboración resúmenes, reseñas y síntesis de textos</li>
                                        <li>Revisión de textos de los compañeros</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    @endif

                    @if(strpos($estilos, 'k') !== false)
                        <div class="col-sm-6">
                            <div class="panel panel-estilo" id="panel-kinestesico">
                                <div class="panel-heading">
                                    <i class="fa fa-hand-spock-o fa-4x"></i>
                                    <span>Kinestésico</span>
                                </div>
                                <div class="panel-body">
                                    <ul>
                                        <li>Juego de roles y dramatizaciones</li>
                                        <li>Dinámicas grupales que requieran sentarse y pararse</li>
                                        <li>El pizarrón para resolver problemas</li>
                                        <li>Manipulación de objetos para explicación de fenómenos</li>
                                        <li>Gestos para acompañar las instrucciones orales</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    @endif
                @else
                    <h3 class="headline-inverted">Guardar estilos de aprendizaje</h3>
                    <div class="ayuda-box">
                        <i class="fa fa-info-circle"></i>
                        <p>
                            Activa los estilos que obtuviste en el cuestionario VARK.
                        </p>
                    </div>
                    {{Form::open(['url' => 'guardarEstilos'])}}
                        <div class="form-group config-form center-things">
                            {{Form::label('visual', 'Visual (V)')}}
                            {{Form::checkbox('visual', 'v')}}
                        </div>
                        <div class="form-group config-form center-things">
                            {{Form::label('aural', 'Auditivo (A)')}}
                            {{Form::checkbox('aural', 'a')}}
                        </div>
                        <div class="form-group config-form center-things">
                            {{Form::label('read', 'Lectoescritor (R)')}}
                            {{Form::checkbox('read', 'r')}}
                        </div>
                        <div class="form-group config-form center-things">
                            {{Form::label('kin', 'Kinestésico (K)')}}
                            {{Form::checkbox('kin', 'k')}}
                        </div>
                        <div class="form-group config-form center-things">
                            {{Form::button('Guardar', [
                                'type' => 'submit',
                                'class' => 'btn btn-primary',
                                'onclick' => "return confirm('Los estilos no podrán ser cambiados una vez que se han guardado, ¿Deseas continuar?')"
                            ])}}
                        </div>
                    {{Form::close()}}
                @endif
            </div>
            <div class="tab-pane fade" id="config-estilos-comparten">
                <h3 class="headline-inverted">Compañeros similares</h3>
                <div class="ayuda-box">
                    <i class="fa fa-info-circle"></i>
                    <p>
                        Compañeros candidatos a formar equipo.
                    </p>
                </div>
                @if(sizeof($similares) == 0)
                    <p class="no-disponible">
                        Aún no hay compañeros similares
                    </p>
                @else
                    @foreach($similares as $similar)
                        <div class="col-sm-4">
                            <div class=" panel panel-default similares">
                                <div class="panel-body">
                                    <p class="similares-nombre">
                                        {{$similar->nombre}}
                                        {{$similar->apellido_pat}}
                                    </p>
                                    <p class="similares-email">
                                        {{$similar->email}}
                                    </p>
                                    <p class="similares-estilos">
                                        <span class="badge">{{strtoupper(str_replace('|', '', $similar->estilos))}}</span>
                                    </p>
                                </div>
                            </div>
                        </div>
                    @endforeach
                @endif
            </div>
            <!--Cambiar email-->
            <div class="tab-pane fade" id="config-email">
                <h3 class="headline-inverted">Cambiar email</h3>
                <p id="msg-change-email1">
                    Email actual: <span>{{Auth::user()->email}}</span>
                </p>
                <div class="form-group col-sm-4 col-sm-offset-4">
                    {{Form::hidden('isAlumno', $isAlumno, ['id' => 'hd-isAlumno'])}}
                    {{Form::hidden('id', $id, ['id' => 'hd-id'])}}
                    {{Form::text('email', '', ['class' => 'form-control', 'id' => 'input-change-email', 'placeholder' => 'Nuevo email'])}}
                </div>
                <br>
                <div class="form-group col-sm-4 col-sm-offset-5">
                    <button class="btn btn-primary" id="btn-change-email">Aceptar</button>
                    <br>
                    <span id="status-change-email"></span>
                </div>
            </div>
            <!--Cambiar password-->
            <div class="tab-pane fade" id="config-password">
                <h3 class="headline-inverted">Cambiar password</h3>
                {{Form::open(['url'=>'cambiarPassword'])}}
                <div class="form-group col-sm-4 col-sm-offset-4">
                  {{Form::password('actualPass',array('class'=>'form-control', 'placeholder' => 'Contraseña actual'))}}
                </div>
                <div class="form-group col-sm-4 col-sm-offset-4">
                  {{Form::password('configPass',array('class'=>'form-control', 'placeholder' => 'Nueva contraseña'))}}
                </div>
                <div class="form-group col-sm-4 col-sm-offset-4">
                  {{Form::password('configPassConfirm',array('class'=>'form-control','onkeyup'=>'checkPass()', 'placeholder' => 'Confirma la nueva contraseña'))}}
                  <span id="configStatusPassword" class="glyphicon glyphicon-ok"
                  style="display:none;color:green">
                       Las contraseñas coinciden.
                  </span>
                  <span id="configStatusErrorPassword" class="glyphicon glyphicon-remove"
                  style="display:none;color:red">
                       Las contraseñas no coinciden.
                  </span>
                </div>
                <div class="form-group col-sm-4 col-sm-offset-4">
                  <div class="center-things">
                      {{Form::submit('Aceptar', ['class'=>'btn btn-primary',
                      'id'=>'configBtnPassChange'])}}
                  </div>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>
@stop

@section('scriptsAdd')
    <script src="/bootstrap-3.2.0-dist/js/bootstrap-switch.min.js"></script>
    <script src="/js/switch.js"></script>
@stop
