@extends('layouts.default')

@section('cssAdd')
    <link rel="stylesheet" href="http://cdn.jsdelivr.net/chartist.js/latest/chartist.min.css">
    <style media="screen">
        .ct-chart-estilos{

        }
        .ct-chart-estilos .ct-label{
            font-size: 1em;
            color: blue;
        }
        .ct-series-a .ct-slice-pie{
            /*rojo*/
            fill: #FF000D;
        }
        .ct-series-b .ct-slice-pie{
            /*azul*/
            fill: #2043FF;
        }
        .ct-series-c .ct-slice-pie{
            /*verde*/
            fill: #00FF43;
        }
        .ct-series-d .ct-slice-pie{
            /*morado*/
            fill: #E005FF;
        }
        .ct-series-e .ct-slice-pie{
            /*gris*/
            fill: #E5E5E5;
        }

        /*Barra*/
        .ct-bar{
            stroke-width: 40px;
        }
        .ct-chart-recurso .ct-label{
            font-size: 1.1em;
        }

        /*Codigo de colores*/
        h3, ul, p{
            text-align: center;
        }
        #list-color-styles li, #list-color-styles li span{
            display: inline-block;
        }
        #list-color-styles li span{
            width: 10px; height: 10px;
        }
        .color-visual{
            background-color: #FF000D;
        }
        .color-aural{
            background-color: #2043FF;
        }
        .color-read{
            background-color: #00FF43;
        }
        .color-kin{
            background-color: #E005FF;
        }
        .color-none{
            background-color: #E5E5E5;
        }
    </style>
@stop

@section('content')

    <div class="container">
            <h2 class="headline-inverted">Información de los Alumnos</h2>

            <h3>Gráfica estilos de aprendizaje en clase</h3>
            <p>
                Indica el porcentaje de alumnos que poseen cierto estilo de aprendizaje o los que no han guardado su estilo.
            </p>
            <ul id="list-color-styles">
                <li> <span class="color-visual"></span> <b>Visual</b> </li>
                <li> <span class="color-aural"></span> <b>Auditivo</b> </li>
                <li> <span class="color-read"></span> <b>Lectoescritor</b> </li>
                <li> <span class="color-kin"></span> <b>Kinestésico</b> </li>
                <li> <span class="color-none"></span> <b>Sin Asignación</b> </li>
            </ul>
            <div class="ct-chart-estilos ct-golden-section">

            </div>

            <h3>Gráfica de uso efectivo de recursos</h3>
            <p>
                Indica el porcentaje en el que se utilizan los recursos, si el estilo de aprendizaje del alumno es compatible con el
                tipo de recurso escogido.
            </p>
            <div class="ct-chart-recurso ct-golden-section">

            </div>

    </div>

@stop

@section('scriptsAdd')
    <script src="http://cdn.jsdelivr.net/chartist.js/latest/chartist.min.js"></script>
    <script src="/dist/js/chart.js" charset="utf-8"></script>
@stop
