@extends('layouts.default')

@section('content')

     <!--Modales-->
     <div class="modal fade visualLS" tabindex="-1" role="dialog">
          <div class="modal-dialog modal-dialog">
               <div class="modal-content">

                    <h4>Estilo visual</h4>

                    <ul>
                         <li>Usa colores, márgenes, organización espacial en lo que organizas, usa
                              muchas 'palabras visuales' en tus afirmaciones.
                         </li>
                         <li>
                              Usa mapas mentales. Usa colores y dibujos en lugar de textos, lo más
                              posible. Si no usas la computadora, asegúrate de tener varios tipos
                              de colores.
                         </li>
                         <li>
                              Un sistema de diagramas puede ayudarte a visualizar los enlaces que
                              existen entre las partes de un sistema. Utiliza dibujos en lugar
                              de palabras y reslata con un color especial los enlaces más o menos
                              importantes.
                         </li>

                         <li>
                              Imaginar una historia ayuda a memorizar el contenido que no es "fácil"
                              visualizar.
                         </li>

                         <li>
                              Usar alguna mnemotécnia cuando se requiera aprender te resulta algo
                              fácil.
                         </li>

                         <li>
                              Por último recuerda visualizar lo más posible la información.
                         </li>
                    </ul>

               </div>
          </div>
     </div>

     <div class="modal fade auralLS" tabindex="-1" role="dialog">
          <div class="modal-dialog">
               <div class="modal-content">

                    <h4>Estilo Aural</h4>

                    <ul>
                         <li>Si eres un aprendiz aural, usar sonidos, rimas y música en tu
                              aprendizaje. Enfócate usando contenido aural en tus
                              asociaciones y visualizaciones.</li>
                         <li>Usa grabaciones que provean un sonido de fondo, para que te
                              ayude más en tus visualizaciones. Por ejemplo, usar grabaciones
                              de viento y marea cuando estes visualizando maniobras de
                              navegación. Si no tienes éstas grabaciones, consider crearlas
                              la próxima vez en tu entrenamiento.</li>
                         <li>Cuando crees mnemotécnias o acrósticos, realizalas con ritmo y
                              rima o asocialas como parte de un jingle o una canción.</li>
                         <li>Utiliza la "técnica de anclaje" (<i>anchoring technique</i>) para
                              recordar varios estados que la música invoca en ti. Si tienes
                              una canción en particular que te incite o emocione, reprodúcela
                              una y otra vez y recuerda tus emociones y estado. Cuando
                              necesites estimulo, podrás recordar fácilmente el estado
                              sin la necesidad de escuchar la canción. </li>
                    </ul>
               </div>
          </div>
     </div>

     <div class="modal fade readTextLS" tabindex="-1" role="dialog">
          <div class="modal-dialog">
               <div class="modal-content">
                    <h4>Estilo Lectura-Escritura</h4>

                    <ul>
                         <li>Convierte tus notas en un material de aprendizaje reducido, es decir,
                              resúme tus notas al menos en proporción 3:1</li>
                         <li>Escribe las palabras difíciles una y otra vez.</li>
                         <li>Lee tus notas (en silencio) o trata de recordar los puntos más
                              importantes, haz esto en múltiples ocasiones.</li>
                         <li>Reescribe los principios o ideas en otras palabras.</li>
                         <li>Organiza cualquier diagrama o gráfica en sentencias.
                              Por ejemplo: "El tópico del tema es..."</li>
                         <li>Convierte reacciones, acciones, diagramas, mapas y flujos en
                              palabras.</li>
                         <li>Escribe la información en forma de listas.</li>
                    </ul>
               </div>
          </div>
     </div>

     <div class="modal fade kinLS" tabindex="-1" role="dialog">
          <div class="modal-dialog">
               <div class="modal-content">
                    <h4>Estilo Kinestésico</h4>
                    <ul>
                         <li>Si usas un estilo físico, usa tacto, acciones, movimiento y trabaja de
                              manera práctica en tus actividades de aprendizaje. Al momento de
                              visualizar, enfócate en las sensaciones que esperas en cada escenario.
                              Por ejemplo si sales a la playa y realizas una actividad, imagina el
                              soplar del viento y la arena entre tus pies.</li>
                         <li>Al momento de hacer afirmaciones o escribir algo, describe las
                              emociones físicas de tus acciones.</li>
                         <li>Usa objetos físico lo más posible. Toca objetos mientras aprendes.
                              Usar tarjetas pueden ayudarte a memorizar información porque las estas
                              tocando y moviendo.</li>
                         <li>Ten en cuenta que la escritura y el dibujo también son actividades
                              físicas, asi que no descuides estas técnicas. Tal vez puedas usar
                              grandes hojas de papel y grandes marcadores para tus diagramas</li>
                         <li>Usa la respiración y relajación para concentrarte en tu estado mientras
                              aprendes. Concéntrate en estar calmado, centrado, relajado y alerta.
                              Si quieres ganar más control para tu estado físico puedes buscar
                              referencia acerca de <i>Autogenics</i>. Este ha sido el secreto
                              detrás de las grandes actuaciones de los atletas rusos en las
                              últimas décadas.</li>
                         <li>Usa juegos de rol, singular o con otras personas, para practicar tus
                              habilidades y comportamientos. Encuntra la manera de actuar o
                              simular lo que has aprendido.</li>
                    </ul>
               </div>
          </div>
     </div>


     <div class="container">
          <div class="row">

               <div class="col-sm-6">
                    <h1 style="text-align:left">Estilos de aprendizaje</h1>
                    <p class="estilosP"><span>L</span>os estilos de aprendizaje ayudan a cada individuo a determinar la forma en la que mejor percibe la información, de tal manera que ésta pueda ser asimilada de mejor manera.</p>

                    <p class="estilosP"><span>S</span>i deseas tomar el test que ayuda a determinar el tuyo, da clic en el siguiente botón.</p>

                    <a href="http://www.vark-learn.com/english/page.asp?p=questionnaire" target="_blank"><button class="btn btn-block btn-success"><strong>Saber mi estilo de aprendizaje</strong></button></a>
               </div>

               <div class="col-sm-6">
                    <img src="img/LS.jpg" class="img-responsive img-thumbnail">
               </div>

          </div>

          <div class="row">
               <div class="col-sm-4">
                    <h3>Visual</h3>
                    <p class="estilosP2">Si tienes un estilo visual, prefieres usar imágenes, dibujos, colores y mapas
                         para organizar la información y comunicarte con los demás. Puedes
                         visualizar objetos fácilmente, también tienes una buena perecepción
                         espacial, que te permite un buen sentido de la orientación.</p>

                         <button class="btn btn-primary" data-toggle="modal" data-target=".visualLS">Estrategias</button>
               </div>

               <div class="col-sm-4">
                    <h3>Aural</h3>

                    <p class="estilosP2">En caso de usar un estilo aural, te gusta trabajar con
                         sonido y música. Tienes un buen sentido del ritmo. Ciertas melodías
                         te provocan fuertes emociones. Notas la música de fondo en el cine, programa
                         de TV u otro medio. A menudo te encuentras tarareando, silbando el
                         tema de una canción o jingle de algún comercial que de repente te acuerdas.</p>

                    <button class="btn btn-primary" data-toggle="modal" data-target=".auralLS">Estrategias</button>
               </div>

               <div class="col-sm-4">
                    <h3>Lectura-Escritura</h3>
                    <p class="estilosP2">
                        Si usas este estilo, te resulta más fácil expresarte por medio de escritura.
                        Te gusta leer y escribir. Conoces el significado de muchas palabras y
                        regularmente haces un esfuerzo para conocer nuevas.</p>

                    <button class="btn btn-primary" data-toggle="modal" data-target=".readTextLS">Estrategias</button>
               </div>
          </div>

          <div class="row">
               <div class="col-sm-6">
                    <h3>Kinestesico</h3>
                    <p class="estilosP2">
                         Si el estilo físico o kinestésico es tu tipo, es más probable que uses tu
                         cuerpo o sentido del tacto para aprender del mundo que te rodea. Notas o
                         aprecias texturas por ejemplo en ropa o muebles. Cuando estás aprendiendo una
                         nueva habilidad o tema prefieres abordarlo con las partes física lo más
                         posible. Usted prefiere quitar un motor y volverlo a poner en vez
                         de leer o ver diagramas de como funciona.</p>
                    <button class="btn btn-primary" data-toggle="modal" data-target=".kinLS">Estrategias</button>
               </div>

               <div class="col-sm-6">
                    <h3>Multimodal</h3>
                    <p class="estilosP2">
                         Esto se refiere a que tienes 2 o más preferencias con la más alta puntuación,
                         puede ser Visual y Aural (VA) o Escritura-Lectura con Kinestésico (RK) o
                         incluso puedes tener tres como VAR o ARK. No hay un patrón en particular,
                         hay personas que han tenido una puntuación: V=6, A=6, R=6 y K=6. En este
                         caso ésto les permite adaptarse al modo de aprendizaje en turno.
                    </p>
                    <p class="estilosP2">Siéntete libre de consultar las estrategias de aprendizaje de los
                         estilos en los que sacaste más puntuación.</p>
               </div>
          </div>
     </div>
@stop
