@extends('layouts.default')

@section('cssAdd')
    <style>
        #foro .btn-success{
            margin-bottom: 1.5em;
        }
        #foro .foro-respuesta{
            margin-top: 1em;
        }
        .preguntaDiv{
            background-color: #f2f2f2;
            margin-top: 1em;
            padding: 1.5em;
            box-shadow: 6px 6px 6px #888888;
            -webkit-box-shadow: 6px 6px 6px #888888;
            -moz-box-shadow: 6px 6px 6px #888888;
        }
        p.respuestaHeader{
             /*font-family: sans-serif;*/
             text-align: left;
             font-size: 1.4em;
             color: blue;
             padding: 0.3em 0em 0em 0.3em;
        }
        p.preguntaHeader{
             color:black;
             /*font-family: Arial;*/
             font-weight: bold;
             text-align: left;
             font-size: 1.7em;
             padding: 0.3em 0em 0em 0.3em;
        }
        small.preguntaDatos{
             font-family: sans-serif;
             padding-left: 0.3em;
        }
        .btn-foro-respuestas{
            margin-top: 0.5em;
        }
    </style>
@stop

@section('content')

     <div class="container" id="foro">

          @if($errors->has('pregunta'))
               {{"<div class='alert alert-danger'><b>".$errors->first('pregunta')."</b></div>"}}
          @elseif($errors->has('respuesta'))
               {{"<div class='alert alert-danger'><b>".$errors->first('respuesta')."</b></div>"}}
          @endif

          <?php
               if(Session::has('isAlumno')){
                    $idRespuesta=Auth::user()->id_alumno;
                    $isAlumnoRespuesta=true;
               }
               else{
                    Config::set('auth.model', 'Profesor');
                    $idRespuesta=Auth::user()->id_profesor;
                    $isAlumnoRespuesta=0;
               }
          ?>

          <ul class="nav nav-tabs" role="tablist">
               <li class="active"><a href="#dudas" role="tab" data-toggle="tab"><i class="fa fa-question"></i> Dudas</a></li>
               <li><a href="#actividades" role="tab" data-toggle="tab"><i class="fa fa-bicycle"></i> Actividades</a></li>
          </ul>

          <div class="tab-content">
               <div class="tab-pane active" id="dudas">

                    <h1 class="headline-inverted">Foro (Dudas)</h1>
                    <p class="center-things">
                        <button class="btn btn-success btn-lg" onclick="toogleDisplay('formPregunta')">Preguntar</button>
                    </p>

                    <!--Realizar una nueva pregunta-->
                    {{Form::open(array('url'=>'nuevaPregunta','id'=>'formPregunta', 'style'=>'display:none'))}}
                         <div class="form-group col-sm-offset-4 col-sm-5">
                              {{Form::text('pregunta', '', array('class'=>'form-control', 'placeholder' => 'Escribe tu pregunta'))}}<br>
                         </div>
                         <div class="form-group center-things col-sm-12">
                              {{Form::submit('Aceptar', ['class'=>'btn btn-lg btn-default'])}}
                         </div>
                    {{Form::close()}}

                    <div class="row">
                         <div class="col-sm-12">

                              <!--Obtenemos todas las preguntas de la BD-->
                              <?php $preguntas=DB::table('foro')->orderBy('created_at', 'desc')->where('tipo', "=", 'dudas')->get();
                              ?>

                              @if(sizeof($preguntas) == 0)
                                   <p class="no-disponible">
                                       No hay preguntas aún
                                   </p>
                                   @else

                                   @foreach($preguntas as $i)
                                        <div class="preguntaDiv">
                                        <!--Listamos las preguntas hechas-->
                                        {{"<p class='preguntaHeader'>".$i->pregunta."</p>"}}
                                        @if($i->isalumno)
                                             <?php
                                                  $asker=DB::table('alumno')->select('nombre','apellido_pat','apellido_mat')->where('id_alumno','=',$i->id_pregunta)->first();
                                             ;?>
                                        @else
                                             <?php
                                                  $asker=DB::table('profesor')->select('nombre','apellido_pat','apellido_mat')->where('id_profesor','=',$i->id_pregunta)->first();
                                             ;?>
                                        @endif
                                        {{"<small class='preguntaDatos'>Usuario: ".$asker->nombre.' '.$asker->apellido_pat.' '.$asker->apellido_mat. " Fecha: ".$i->created_at."</small>"}}

                                        {{"<button class='btn btn-warning' onclick=toogleDisplay('formRespuesta$i->id_foro')>Responder</button>"}}

                                             <br/>
                                        {{"<button class='btn btn-primary btn-foro-respuestas'
                                             onclick=toogleDisplay('pregunta_no$i->id_foro')>Mostrar Respuestas</button>"}}

                                        <!--Obtenemos las respuesta por pregunta, mediante el id del foro-->
                                        <?php $respuestas=DB::table('foro')->join('foro_respuesta', 'foro.id_foro',
                                         '=', 'foro_respuesta.id_foro')->select('foro_respuesta.id_respuesta',
                                         'foro_respuesta.respuesta', 'foro_respuesta.isalumno',
                                         'foro_respuesta.created_at','foro_respuesta.id_foro_respuesta')->where('foro.id_foro', '=',
                                          $i->id_foro)->get(); ?>

                                        <!--Formulario para responder cada pregunta-->
                                        <div class="row">
                                        {{Form::open(array('id'=>'formRespuesta'.$i->id_foro, 'style'=>'display:none', 'action'=>array('FormController@responder', $i->id_foro, ($i->isalumno==false ? 0:1),
                                             $idRespuesta, $isAlumnoRespuesta) ))}}

                                                  <div class="form-group col-sm-12">
                                                  {{Form::text('respuesta', '', array('class'=>'form-control foro-respuesta', 'placeholder' => 'Responder'))}}
                                                  </div>
                                                   <div class="form-group col-sm-12">
                                                  {{Form::submit('Aceptar', ['class'=>'btn btn-default'])}}
                                                  </div>

                                        {{Form::close()}}
                                        </div>


                                   <!--Mostramos las respuestas a cada pregunta-->

                                        {{"<div id='pregunta_no$i->id_foro' style='display:none'>"}}
                                        @foreach($respuestas as $j)
                                             {{"<p class='respuestaHeader'>[R]: ".$j->respuesta."</p>"}}
                                             @if($j->isalumno)
                                             <?php
                                                  $resp=DB::table('alumno')->select('nombre','apellido_pat','apellido_mat')->where('id_alumno','=',$j->id_respuesta)->first();
                                             ;?>
                                             @else
                                             <?php
                                                  $resp=DB::table('profesor')->select('nombre','apellido_pat','apellido_mat')->where('id_profesor','=',$j->id_respuesta)->first();
                                             ;?>
                                             @endif
                                             {{"<small class='preguntaDatos'>Usuario: ".$resp->nombre.' '.$resp->apellido_pat.' '.$resp->apellido_mat." Fecha: ".$j->created_at."</small>"}}

                                        @endforeach
                                        {{"</div>"}}
                                        </div>
                                        <br>
                                   @endforeach
                              @endif
                         </div>
                    </div>
               </div><!--dudas-->

               <div class="tab-pane" id="actividades">
                    <h1 class="headline-inverted">Foro (Actividades)</h1>
                    <p class="center-things">
                        <button class="btn btn-success btn-lg" onclick="toogleDisplay('formPreguntaActividades')">Preguntar</button>
                    </p>

                    <!--Realizar una nueva pregunta-->
                    {{Form::open(array('url'=>'nuevaPreguntaActividades','id'=>'formPreguntaActividades', 'style'=>'display:none'))}}
                         <div class="form-group col-sm-offset-4 col-sm-5">
                              {{Form::text('pregunta', '', array('class'=>'form-control', 'placeholder' => 'Escribe tu pregunta'))}}<br>
                         </div>
                         <div class="form-group center-things col-sm-12">
                              {{Form::submit('Aceptar', ['class'=>'btn btn-lg btn-default'])}}
                         </div>
                    {{Form::close()}}

                    <div class="row">
                         <div class="col-sm-12">

                              <!--Obtenemos todas las preguntas de la BD-->
                              <?php $preguntas=DB::table('foro')->orderBy('created_at', 'desc')->where('tipo', "=", "actividades")->get();
                              ?>

                              @if(sizeof($preguntas) == 0)
                                   <p class="no-disponible">
                                       No hay preguntas aún
                                   </p>
                                   @else

                                   @foreach($preguntas as $i)
                                        <div class="preguntaDiv">
                                        <!--Listamos las preguntas hechas-->
                                        {{"<p class='preguntaHeader'>".$i->pregunta."</p>"}}
                                        @if($i->isalumno)
                                             <?php
                                                  $asker=DB::table('alumno')->select('nombre','apellido_pat','apellido_mat')->where('id_alumno','=',$i->id_pregunta)->first();
                                             ;?>
                                        @else
                                             <?php
                                                  $asker=DB::table('profesor')->select('nombre','apellido_pat','apellido_mat')->where('id_profesor','=',$i->id_pregunta)->first();
                                             ;?>
                                        @endif
                                        {{"<small class='preguntaDatos'>Usuario: ".$asker->nombre.' '.$asker->apellido_pat.' '.$asker->apellido_mat. " Fecha: ".$i->created_at."</small>"}}

                                        {{"<button class='btn btn-warning' onclick=toogleDisplay('formRespuestaActividades$i->id_foro')>Responder</button>"}}
                                        <br/>
                                        {{"<button class='btn btn-primary btn-foro-respuestas'
                                             onclick=toogleDisplay('pregunta_act_no$i->id_foro')>Mostrar Respuestas</button>"}}

                                        <!--Obtenemos las respuesta por pregunta, mediante el id del foro-->
                                        <?php $respuestas=DB::table('foro')->join('foro_respuesta', 'foro.id_foro',
                                         '=', 'foro_respuesta.id_foro')->select('foro_respuesta.id_respuesta',
                                         'foro_respuesta.respuesta', 'foro_respuesta.isalumno',
                                         'foro_respuesta.created_at')->where('foro.id_foro', '=',
                                          $i->id_foro)->get(); ?>

                                        <!--Formulario para responder cada pregunta-->
                                        <div class="row">
                                        {{Form::open(array('id'=>'formRespuestaActividades'.$i->id_foro, 'style'=>'display:none', 'action'=>array('FormController@responder', $i->id_foro, ($i->isalumno==false ? 0:1),
                                             $idRespuesta, $isAlumnoRespuesta) ))}}

                                                  <div class="form-group col-sm-12">
                                                  {{Form::text('respuesta', '', array('class'=>'form-control foro-respuesta', 'placeholder' => 'Responder'))}}
                                                  </div>
                                                   <div class="form-group col-sm-12">
                                                  {{Form::submit('Aceptar', ['class'=>'btn btn-default'])}}
                                                  </div>

                                        {{Form::close()}}
                                        </div>

                                        <!--Mostramos las respuestas a cada pregunta-->

                                        {{"<div id='pregunta_act_no$i->id_foro' style='display:none'>"}}
                                        @foreach($respuestas as $j)

                                             {{"<p class='respuestaHeader'>[R]: ".$j->respuesta."</p>"}}
                                             @if($j->isalumno)
                                             <?php
                                                  $resp=DB::table('alumno')->select('nombre','apellido_pat','apellido_mat')->where('id_alumno','=',$j->id_respuesta)->first();
                                             ;?>
                                             @else
                                             <?php
                                                  $resp=DB::table('profesor')->select('nombre','apellido_pat','apellido_mat')->where('id_profesor','=',$j->id_respuesta)->first();
                                             ;?>
                                             @endif
                                             {{"<small class='preguntaDatos'>Usuario: ".$resp->nombre.' '.$resp->apellido_pat.' '.$resp->apellido_mat." Fecha: ".$j->created_at."</small>"}}
                                        @endforeach
                                        {{"</div>"}}

                                        </div>
                                        <br>
                                   @endforeach
                              @endif
                         </div>
                    </div>

               </div><!--actividades-->

          </div><!--tab-content-->
     </div>
@stop
