@extends('layouts.default')

@section('cssAdd')
    <style>
        /* < index*/
        #inicio-intro {
            background-color: #142E42;
            color: #FFF;
            padding-bottom: 5em;
            margin-bottom: 5em;
        }
        #inicio .row{
            margin-left: 0;
            margin-right: 0;
        }
        #inicio-intro h1{
            text-align: center;
            margin-top: 0;
            padding: 1em;
            color: #00E497;
        }
        #inicio-intro > p{
            text-align: center;
            font-size: 1.7em;
            width: 70%;
            margin: auto;
            padding: 1em 0 1em 0;
        }
        #inicio-first-row{
            margin-top: 2em;
        }
        #inicio-intro .row .col-sm-4 p{
            border: 3px solid white;
            font-size: 1.4em;
            padding: 2em;
            text-align: center;
        }
        #inicio .col-sm-6 .btn-block{
            margin: auto;
            height: 4em;
            width: 70%;
            font-size: 1.4em;
        }
        #inicio > .col-sm-6{
            margin-bottom: 5em;
        }
        #inicio .imgIndex{
             margin: auto;
        }
        #inicio .row .panel{
             font-family: 'Open Sans',Arial;
             text-align: center;
        }
    </style>
@stop

@section('content')

    <div id="inicio">
       <div class="col-sm-12" id="inicio-intro">
            <h1><b>Diseño de Interfaces de Usuario</b></h1>

            <p>“El diseño de interfaces es una disciplina que estudia y trata de poner en
            práctica procesos orientados a construir la interfaz más usable posible,
            dado un usuario, tarea y contexto específico."
            </p>
            <h1><b>Objetivos</b></h1>
            <div class="row" id="inicio-first-row">
                <div class="col-sm-4">
                    <p>
                        Valorar la importancia del diseño de interfaces en el contexto general del desarrollo de sistemas computacionales
                    </p>
                </div>
                <div class="col-sm-4 col-sm-offset-4">
                    <p>
                        Conocer los paradigmas existentes para el diseño de interfaces humano - computadora
                    </p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-4 col-sm-offset-4">
                    <p>
                        Conocer y aplicar las técnicas de diseño y evaluación de interfaces de usuario
                    </p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-4">
                    <p>
                        Conocer los objetos de estudio de la disciplina conocida como IHC (Interacción Humano - Computadora)
                    </p>
                </div>
                <div class="col-sm-4 col-sm-offset-4">
                    <p>
                        Identificar los aspectos humanos y tecnológicos que impactan el desarrollo de interfaces
                    </p>
                </div>
            </div>
       </div><!--end inicio-intro-->

        <div class="col-sm-6">
            <button onclick="window.open('files/interfacesTemario.pdf')" class="btn btn-primary btn-block">
                Temario
            </button>
        </div>
        <div class="col-sm-6">
            <button onclick="window.open('files/evaluacion.pdf')" class="btn btn-primary btn-block">
                Evaluación
            </button>
        </div>

        <div class="row">
           <div class="col-sm-4">
                <div class="panel panel-primary">
                    <div class="panel-heading">
                          <h3 class="panel-title">Ayudante</h3>
                    </div>
                    <div class="panel-body">
                          <img src="/img/marco.png" style="height:8em;" class="img-responsive img-circle imgIndex" alt="Marco Núñez">
                          <p>Marco Antonio Núñez Pérez</p>
                    </div>
                    <div class="panel-footer">
                          <small>martes y jueves 9-10.</small><br>
                          <small>Taller de Lenguajes de Programación.</small>
                    </div>
                </div>
           </div>

           <div class="col-sm-4">
                <div class="panel panel-primary">
                    <div class="panel-heading">
                          <h3 class="panel-title">Profesor</h3>
                    </div>
                    <div class="panel-body">
                          <img src="/img/selene.jpg" style="height:8em; width:6em" class="img-responsive img-circle imgIndex" alt="Selene Martínez">
                          <p>Selene Marisol Martínez Ramírez.</p>
                    </div>
                    <div class="panel-footer">
                          <small>lunes, miércoles y viernes 9-10.</small><br>
                          <small>Taller de Lenguajes de Programación.</small>
                    </div>
                </div>
           </div>

           <div class="col-sm-4">
                <div class="panel panel-primary">
                    <div class="panel-heading">
                          <h3 class="panel-title">Ayudante de Laboratorio</h3>
                    </div>
                    <div class="panel-body">
                          <img src="/img/juan.png" style="height:8em" class="img-responsive img-circle imgIndex" alt="Juan Peralta">
                          <p>Juan Alberto Peralta Santa Anna</p>
                    </div>
                    <div class="panel-footer">
                          <small>miércoles 16-18.</small><br>
                          <small>Taller de Computación Visual.</small>
                    </div>
                </div>
           </div>
        </div>

    </div><!--end #inicio-->
@stop
