@extends('layouts.default')
@section('cssAdd')
    <style>
        @media only screen and (max-width: 750px){
            .only-mobile{
                display: block;
            }
            #alumno-anuncios-h1{
                margin-top: 0;
            }
            .panelAnuncio h2{
                font-size: 1.5em;
            }
            .panelAnuncio p{
                font-size: 1.1em !important;
            }
            .only-mobile h4{
                background-color: #764796;
                color: #FFF;
                padding: 10px 0 10px 10px;
            }
        }
        @media only screen and (min-width: 751px){
            .only-mobile{
                display: none;
            }
        }
        .panel-lista{
            margin-top: 10px !important;
        }
        .panel-heading{
            background-color: #027474;
        }
        .panel-heading p{
            font-family: Verdana;
            color: #FFF;
            font-weight: bold;
            font-size: 1em;
        }
        .panel-footer{
            height: 3.5em;
            background-color: #027474;
        }
        .panel-body p{
            font-family: Arial;
        }
    </style>
@stop

@section('content')
     <div class="container-fluid">

          <?php $alumnos=DB::table('alumno')->select('id_alumno', 'apellido_pat', 'apellido_mat', 'email')->remember(10)->orderBy('apellido_pat')->get();?>

          @if($errors->has("calificacion"))
               {{"<div class='alert alert-danger'><b>".$errors->first('calificacion')."</b></div>"}}
          @endif

          <div class="only-mobile">
              <h4><i class="fa fa-arrow-circle-down"></i> Ir al último alumno</h4>
          </div>

          <h1 class="headline-inverted">Lista de Alumnos</h1>

          <div class="row-fluid">
              @foreach($alumnos as $alumno)
                    <?php $tareasAlumnoNum=DB::table('tarea_alumno')->where('id_alumno',$alumno->id_alumno)->count()?>
                    <div class="panel col-sm-3 center-things panel-lista">
                            <div class="panel-heading">
                                <p>
                                    {{$alumno->apellido_pat.' '.$alumno->apellido_mat}}
                                </p>
                            </div>
                            <div class="panel-body">
                                <p style="color: #F34D3E;">
                                    {{$alumno->email}}
                                </p>
                                <p>
                                    #Tareas entregadas: <b>{{$tareasAlumnoNum}}</b>
                                </p>
                            </div>
                            <div class="panel-footer">
                                @if($tareasAlumnoNum)
                                        <button class="btn btn-sm btn-default" onclick="location.href='/mostrarTareaAlumno/{{$alumno->id_alumno}}'">
                                            Calificar
                                        </button>
                                @else
                                    <small class="no-disponible" style="color:#FFF;">
                                        No ha entregado tareas
                                    </small>
                                @endif
                            </div>

                    </div>
              @endforeach
          </div>
     </div>
@stop
@section('scriptsAdd')
    <script type="text/javascript">
        (function(){
            var $body = $('body');
            var $hMobile = $body.find('.only-mobile');
            var $footer = $body.find('#footer');
            function goSection(element, rise){
                $body.stop().animate({
                    'scrollTop': element.offset().top - rise
                }, 900, 'swing');
            }
            $hMobile.on('click', function(e){
                goSection($footer, 0);
            });
        })();
    </script>
@stop
