@extends('layouts.default')

@section('cssAdd')
    <style>
        #lista-recursos{
            box-shadow: 6px 6px 3px #888888;
            -webkit-box-shadow: 6px 6px 3px #888888;
            -moz-box-shadow: 6px 6px 3px #888888;
        }
        #lista-recursos .lista-recurso-nombre{
            display: block;
            font-size:1.5em;
        }
        #lista-recursos .lista-recurso-tipo{
            display: block;
            color: gray;
            font-size: 12px;
        }
        #lista-recursos .lista-recurso-autor{
            display: block;
            color: gray;
            font-size: 12px;
        }
        #lista-recursos .lista-recurso-votos{
            display: block;
        }
    </style>
@stop

@section('content')

    <div class="container">
        <h1 class="headline-inverted">Recursos más votados</h1>
        <div class="ayuda-box">
            <i class="fa fa-info-circle"></i>
            <p>
                Los alumnos con los recurso más votados tendrán puntos extras en su calificación final.
            </p>
        </div>
        <div class="row">
            <div class="col-sm-8 col-sm-offset-2">
                <ul class="list-group center-things" id="lista-recursos">
                    @foreach($recursos as $recurso)

                        <li type="button" class="list-group-item">
                            <span class="lista-recurso-nombre">
                                @if(in_array($recurso->tipo, ['lectura', 'imagen', 'otros']))
                                    <a target='_blank' href="/verRecurso/{{$recurso->id_recurso}}"> {{$recurso->nombre}} </a>
                                @elseif($recurso->tipo == 'video')
                                    <a target="_blank" href="/showVideo/{{$recurso->id_recurso}}">{{$recurso->nombre}}</a>
                                @else
                                    <a target="_blank" href="{{$recurso->url}}">{{$recurso->nombre}}</a>
                                @endif
                            </span>
                            <span class="lista-recurso-votos">
                                <i class="fa fa-thumbs-o-up"></i>
                                {{$recurso->num_votos}}
                            </span>
                            <span class="lista-recurso-descripcion">
                                {{$recurso->descripcion}}
                            </span>
                            <span class="lista-recurso-tipo">
                                Tipo: {{$recurso->tipo}}
                            </span>
                            <span class="lista-recurso-autor">
                                Subido por:
                                {{$alumnos[$recurso->id_alumno]}}
                                {{$paternos[$recurso->id_alumno]}}
                            </span>
                        </li>

                    @endforeach
                </ul>
            </div>
        </div>
    </div>
@stop
