@extends('layouts.default')

@section('cssAdd')
    <style>
        @media only screen and (max-width: 750px){
            .only-mobile{
                display: block;
            }
            #alumno-anuncios-h1{
                margin-top: 0;
            }
            .panelAnuncio h2{
                font-size: 1.5em;
            }
            .panelAnuncio p{
                font-size: 1.1em !important;
            }
            .only-mobile h4{
                background-color: #764796;
                color: #FFF;
                padding: 10px 0 10px 10px;
            }
            .fa-menu-alumno{
                font-size: 4em;
            }
        }
        @media only screen and (min-width: 751px){
            .only-mobile{
                display: none;
            }
        }
        #alumno-anuncios .panel-body p{
            font-size: 1.5em;
        }
        #alumno-recursos{
            background-color: #142E42;
            padding-bottom: 5em;
        }
        #alumno-recursos .alumno-recurso-title{
            color: white;
            font-size: 1.5em;
        }
        .vistaAlumno{
             color: red;
             text-align: left;
        }
        .fa-menu-alumno{
            border: 0.15em solid #FFF;
            border-radius: 100%;
            padding: 0.3em;
            margin-top: 0.22em;
            cursor: pointer;
            color: #FFF;
            -webkit-transition: color 1s, border-color 0.7s, transform 0.7s;
            -moz-transition: color 0.7s, border-color 0.7s, transform 0.7s;
            transition: color 0.7s, border-color 0.7s, transform 0.7s;
        }
        .fa-menu-alumno:hover{
            border-color: #1D9D74;
            color: #1D9D74;
            -ms-transform: rotate(360deg); /* IE 9 */
            -webkit-transform: rotate(360deg); /* Safari */
            transform: rotate(360deg);
        }
    </style>
@stop

@section('content')

     <div>
          @if(Session::has('isProfesor'))
               <h4 class="vistaAlumno">
                    Está en modo: Vista de Alumno, <a href="misTareas"> Ver sus Tareas </a>
               </h4>
               <a href="menuProfesor"><h4 style="text-align:left">Salir de Vista de Alumno</h4></a>
          @endif

          <div class="row-fluid">
               <div class="col-sm-9" id="alumno-anuncios">

                    <div class="only-mobile">
                        <h4><i class="fa fa-arrow-circle-down"></i> Ir a Recursos</h4>
                    </div>

                    <h1 class="headline-inverted" id="alumno-anuncios-h1">Anuncios</h1>

                    <?php $informes=DB::table('informes')->orderBy('created_at', 'desc')->paginate(7); ?>

                    @foreach($informes as $i)
                         <div class="panel panel-default panelAnuncio">
                              <div class="panel-heading">
                                   <h2>{{$i->asunto}} <small>{{$i->created_at}}</small></h2>
                              </div>
                              <div class="panel-body">
                                   <p>{{$i->texto}}</p>
                              </div>

                         <?php $profesor=DB::table('profesor')->where('id_profesor', "=",
                         $i->id_profesor)->select('nombre', 'apellido_pat', 'apellido_mat')->get() ;?>

                         @foreach($profesor as $p)
                              <div class="panel-footer">
                                   <small> Att.
                                        {{$p->nombre}}
                                        {{$p->apellido_pat}}
                                        {{$p->apellido_mat}}
                                   </small>
                              </div>

                         @endforeach

                         </div>
                    @endforeach

                    <div class="myPagination">
                    {{$informes->links()}}
                    </div>
               </div>

               <div class="col-sm-3" id="alumno-recursos">

                   <h1 class="headline-inverted">Recursos</h1>
                   <!--Lecturas-->
                    <div class="center-things alumno-recurso">
                        <i class="fa fa-book fa-5x fa-menu-alumno" onclick="location.href='/recurso/lectura'">
                        </i>
                        <p class="alumno-recurso-title">
                            Lecturas
                        </p>
                    </div>
                    <!--Lecturas-->
                    <!--Videos-->
                    <div class="center-things alumno-recurso">
                        <i class="fa fa-youtube-play fa-5x fa-menu-alumno" onclick="location.href='/recurso/video'">
                        </i>
                        <p class="alumno-recurso-title">
                            Vídeos de Youtube
                        </p>
                    </div>
                    <!--Videos-->
                    <!--Links-->
                    <div class="center-things alumno-recurso">
                        <i class="fa fa-external-link fa-5x fa-menu-alumno" onclick="location.href='/recurso/enlace'">
                        </i>
                        <p class="alumno-recurso-title">
                            Enlaces Externos
                        </p>
                    </div>
                    <!--Links-->
                    <!--Imagenes-->
                    <div class="center-things alumno-recurso">
                        <i class="fa fa-image fa-5x fa-menu-alumno" onclick="location.href='/recurso/imagen'"></i>
                        <p class="alumno-recurso-title">
                            Imágenes
                        </p>
                    </div>
                    <!--Imagenes-->
                    <!--Otros-->
                    <div class="center-things alumno-recurso">
                        <i class="fa fa-file-code-o fa-5x fa-menu-alumno" onclick="location.href='/recurso/otros'">
                        </i>
                        <p class="alumno-recurso-title">
                            Códigos/Comprimidos
                        </p>
                    </div>
                    <!--Otros-->

               </div><!--Fin column 4-->
          </div>
     </div>
@stop
@section('scriptsAdd')
    <script src="/dist/js/menuAlumno.js" charset="utf-8"></script>
@stop
