@extends('layouts.default')
@section('cssAdd')
    <style media="screen">
        #cnt-pr-anuncios,#cnt-pr-recursos,#cnt-pr-tareas{display:none}.menu-pr{padding-top:3em;padding-bottom:3em;cursor:pointer;margin-bottom:5px!important}.menu-pr h2{margin-top:0}.menu-pr-tareas{border:4px solid #287DA9}.menu-pr-tareas h2,.menu-pr-tareas>span>i{color:#287DA9}.menu-pr-anuncios{border:4px solid #CF4239}.menu-pr-anuncios h2,.menu-pr-anuncios>span>i{color:#CF4239}.menu-pr-recursos{border:4px solid #2C8566}.menu-pr-recursos h2,.menu-pr-recursos>span>i{color:#2C8566}.badge-menu-pr{width:15%;font-size:2em;margin:auto}.card-pr-informes,.card-pr-tareas{margin-bottom:15px;box-shadow:6px 6px 3px #888;background-color:#FFF}.card-pr-tareas{border-left:5px solid #287DA9;border-top:5px solid #287DA9;height:20em;color:#287DA9;-webkit-box-shadow:6px 6px 3px #888;-moz-box-shadow:6px 6px 3px #888}.card-pr-tareas>h3{margin-top:33%;font-size:1.5em;font-weight:700}.card-pr-tareas>p{font-size:1.1em}.card-pr-footer>form>button{margin-top:1.5em}.card-pr-informes{border-left:5px solid #CF4239;border-top:5px solid #CF4239;height:23em;color:#CF4239;-webkit-box-shadow:6px 6px 3px #888;-moz-box-shadow:6px 6px 3px #888}.card-pr-informes>h3{font-weight:700}.card-pr-informes>p{padding:0 1em}.card-pr-informes>hr{margin-top:0;margin-bottom:7px}.card-pr-recursos{border-left:5px solid #2C8566;border-top:5px solid #2C8566;background-color:#FFF;height:10em;margin-bottom:15px!important;color:#2C8566;box-shadow:6px 6px 3px #888;-webkit-box-shadow:6px 6px 3px #888;-moz-box-shadow:6px 6px 3px #888}.card-pr-recursos>h3{font-weight:700;font-size:1.5em;margin-top:17%}
    </style>
@stop

@section('content')

     <?php
       Config::set('auth.model','Profesor');
       $id=Auth::user()->id_profesor;
       $tareasNum=DB::table('tarea')->count();
       $anunciosNum=DB::table('informes')->count();
       $recNum=DB::table('recurso')->count();
     ?>
     <div class="container">

        <section class="row">
            <div class="col-sm-4">
                <div class="menu-pr center-things menu-pr-tareas" id="mn-pr-tareas">
                    <span>
                        <i class="fa fa-pencil fa-5x"></i>
                    </span>
                    <h2>Tareas</h2>
                    <span class="badge-menu-pr" style="color: #287DA9">({{$tareasNum}})</span>
                </div>
            </div>

            <div class="col-sm-4">
                <div class="menu-pr center-things menu-pr-anuncios" id="mn-pr-anuncios">
                    <span>
                        <i class="fa fa-newspaper-o fa-5x"></i>
                    </span>
                    <h2>Anuncios</h2>
                    <span class="badge-menu-pr" style="color: #CF4239">({{$anunciosNum}})</span>
                </div>
            </div>

            <div class="col-sm-4">
                <div class="menu-pr center-things menu-pr-recursos" id="mn-pr-recursos">
                    <span>
                        <i class="fa fa-upload fa-5x"></i>
                    </span>
                    <h2>Recursos</h2>
                    <span class="badge-menu-pr" style="color: #2C8566">({{$recNum}})</span>
                </div>
            </div>
        </section>
        <!--Contentido-->
        <section id="section-cnt-pr">
            <div id="cnt-pr-tareas">
                @if($tareasNum === 0)
                     <p>No se han publicado tareas aún.</p>
                @else
                    <?php $tareas=DB::table('tarea')->select('id_tarea','nombre','tipo', 'disponible')->orderBy('created_at', 'DESC')->get();?>
                    <div class="row">

                            @foreach($tareas as $tarea)
                                <div class="col-sm-3">

                                   <div class="card-pr-tareas center-things">
                                        <h3>{{$tarea->nombre}}</h3>
                                        <p>
                                            {{"[$tarea->tipo]"}}
                                        </p>
                                       <div class="card-pr-footer center-things">
                                           @if($tarea->disponible)
                                                <td>
                                                {{Form::open(['url'=>'cancelarSubirTarea/'.$tarea->id_tarea])}}
                                                     {{Form::button('Cancelar Envío', [
                                                         'class'=>'btn btn-danger',
                                                         'type' => 'submit',
                                                         'onclick' => "return confirm('¿Está seguro que desea cancelar el envío de esta tarea?')"
                                                     ])}}
                                                {{Form::close()}}
                                                </td>
                                           @else
                                             <td>
                                                 {{Form::open(['url' => 'activarSubirTarea/'.$tarea->id_tarea])}}
                                                     {{Form::button('Activar Envío', [
                                                         'type' => 'submit',
                                                         'class' => 'btn btn-success',
                                                         'onclick' => "return confirm('¿Está seguro de activar esta tarea?')"
                                                     ])}}
                                                 {{Form::close()}}
                                             </td>
                                           @endif
                                       </div>

                                   </div>

                                </div>
                            @endforeach

                    </div>
                @endif
            </div>

            <div id="cnt-pr-anuncios">

                @if($anunciosNum === 0)
                     <p>No se han publicado anuncios aún.</p>

                @else
                    <?php $anuncios=DB::table('informes')->select('id_profesor','asunto','texto')->orderBy('created_at', 'DESC')->remember(10)->get();?>
                    <div class="row">
                        @foreach($anuncios as $anuncio)
                            <div class="col-sm-3 center-things">
                                <div class="card-pr-informes">
                                    <h3>{{$anuncio->asunto}}</h3>
                                    <hr>
                                    <p>
                                        {{$anuncio->texto}}
                                    </p>
                                </div>
                            </div>
                        @endforeach
                    </div>
                @endif
            </div>

            <div id="cnt-pr-recursos">

                @if($recNum === 0)
                     <p>No se han publicado recursos aún.</p>

                @else
                    <?php $recursos = DB::table("recurso")->select("nombre","tipo")->orderBy('created_at','DESC')->remember(10)->get();?>
                    <div class="row">
                        @foreach($recursos as $recurso)
                            <div class="col-sm-3">
                                <div class="card-pr-recursos center-things">
                                    <h3>{{$recurso->nombre}}</h3>
                                    <span>{{"[$recurso->tipo]"}}</span>
                                </div>
                            </div>
                        @endforeach
                    </div>
                @endif
            </div>
        </section>

     </div>

@stop
