@extends('layouts.default')
@section('cssAdd')
    <style>
        #btn-file-load-alumnos{
            margin:auto;
        }
    </style>
@stop
@section('content')

    <div class="container">
        @if($errors->has())
            <div class="alert alert-danger">
                @foreach($errors->all() as $error)
                    <li> <b>{{$error}}</b> </li>
                @endforeach
            </div>
        @endif

        <ul class="menu-tabs">
            <li><a href="#agregar-lista-alumnos" data-toggle="tab"> + lista de alumnos (Excel)</a></li>
            <li><a href="#agregar-alumno" data-toggle="tab"> + un alumno </a></li>
            <li><a href="#agregar-profesor" data-toggle="tab"> + un profesor </a></li>
            <li><a href="#eliminar-alumno" data-toggle="tab"> - un alumno </a></li>
            <li><a href="#eliminar-profesor" data-toggle="tab"> - un profesor </a></li>
            <li><a href="#eliminar-todos-alumnos" data-toggle="tab"> - todos los alumnos </a></li>
            <li><a href="#eliminar-curso" data-toggle="tab"> - curso </a></li>
        </ul>

        <div class="tab-content center-things">

            <div class="tab-pane fade in active" id="agregar-lista-alumnos">
                <h3 class="headline-inverted">Agregar lista de alumnos (Excel)</h3>
                <hr>
                <p style="font-family:Arial;">
                    #Alumnos en la base de datos: <b>{{$alumnosNum}}</b>
                </p>

                {{Form::open(['url' => 'loadStudentsBD', 'files' => true])}}

                    <div class="form-group">
                        {{Form::label('file', 'Carga un archivo xls de alumnos')}}
                        {{Form::file('file', ['id' => 'btn-file-load-alumnos'])}}
                    </div>

                    <div class="form-group">
                        {{Form::submit('Cargar', ['class' => 'btn btn-primary'])}}
                    </div>

                {{Form::close()}}
            </div>

            <div class="tab-pane fade" id="agregar-alumno">
                <h3 class="headline-inverted">Agregar un alumno</h3>
                <hr>
                {{Form::open(['url' => '/newAlumno'])}}
                    <div class="row">
                        <div class="form-group col-sm-4 col-sm-offset-4">
                            {{Form::text('nombre', '', [
                                'class' => 'form-control',
                                'placeholder' => 'Nombre del alumno'
                            ])}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-sm-4 col-sm-offset-4">
                            {{Form::text('apellido_pat', '', [
                                'class' => 'form-control',
                                'placeholder' => 'Apellido paterno del alumno'
                            ])}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-sm-4 col-sm-offset-4">
                            {{Form::text('apellido_mat', '', [
                                'class' => 'form-control',
                                'placeholder' => 'Apellido materno del alumno'
                            ])}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-sm-4 col-sm-offset-4">
                            {{Form::number('no_cuenta', '', [
                                'class' => 'form-control',
                                'placeholder' => 'Número de cuenta'
                            ])}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-sm-4 col-sm-offset-4">
                            {{Form::submit('Guardar', ['class' => 'btn btn-primary'])}}
                        </div>
                    </div>
                {{Form::close()}}

            </div>

            <div class="tab-pane fade" id="agregar-profesor">
                <h3 class="headline-inverted">Agregar un profesor</h3>
                <hr>
                    {{Form::open(['url' => '/newProfesor'])}}
                        <div class="row">
                            <div class="form-group col-sm-4 col-sm-offset-4">
                                {{Form::text('nombre', '', [
                                    'class' => 'form-control',
                                    'placeholder' => 'Nombre del profesor'
                                ])}}
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-sm-4 col-sm-offset-4">
                                {{Form::text('apellido_pat', '', [
                                    'class' => 'form-control',
                                    'placeholder' => 'Apellido paterno del profesor'
                                ])}}
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-sm-4 col-sm-offset-4">
                                {{Form::text('apellido_mat', '', [
                                    'class' => 'form-control',
                                    'placeholder' => 'Apellido materno del profesor'
                                ])}}
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-sm-4 col-sm-offset-4">
                                {{Form::text('clave', '', [
                                    'class' => 'form-control',
                                    'placeholder' => 'Clave única'
                                ])}}
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-sm-4 col-sm-offset-4">
                                {{Form::submit('Guardar', ['class' => 'btn btn-primary'])}}
                            </div>
                        </div>
                    {{Form::close()}}
            </div>

            <div class="tab-pane fade" id="eliminar-alumno">
                <h3 class="headline-inverted">Eliminar un alumno</h3>

                @if($alumnosNum)
                    <div class="row">
                        @foreach($alumnos as $alumno)
                            <div class="col-sm-4">
                                <div class="panel panel-default">
                                    <div class="panel-body">
                                        {{$alumno->nombre.' '.$alumno->apellido_pat.' '.$alumno->apellido_mat}}
                                    </div>
                                    <div class="panel-footer">
                                        {{Form::open(['url' => "/deleteAlumno/$alumno->id_alumno"])}}
                                        {{Form::button('Eliminar', [
                                            'class' => 'btn btn-sm btn-danger',
                                            'type' => 'submit',
                                            'onclick' => "return confirm('¿Seguro que deseas eliminar a este alumno?')"
                                        ])}}
                                        {{Form::close()}}
                                    </div>
                                </div>
                            </div>
                        @endforeach
                    </div>
                @else
                    <p>
                        Aún no hay alumnos registrados
                    </p>
                @endif

            </div>

            <div class="tab-pane fade" id="eliminar-profesor">
                <h3 class="headline-inverted">Eliminar un profesor</h3>
                <div class="row">
                    @if(sizeof($profesores))
                        @foreach($profesores as $profesor)
                            <div class="col-sm-4">
                                <div class="panel panel-default">
                                    <div class="panel-body">
                                        {{$profesor->nombre.' '.$profesor->apellido_pat.' '.$profesor->apellido_mat}}
                                    </div>
                                    <div class="panel-footer">
                                        {{Form::open(['url' => "/deleteProfesor/$profesor->id_profesor"])}}
                                        {{Form::button('Eliminar', [
                                            'class' => 'btn btn-sm btn-danger',
                                            'type' => 'submit',
                                            'onclick' => "return confirm('¿Estás seguro que deseas eliminar a este profesor?')"
                                        ])}}
                                        {{Form::close()}}
                                    </div>
                                </div>
                            </div>
                        @endforeach
                    @else
                        <p>
                            Aún no hay profesores
                        </p>
                    @endif
                </div>
            </div>

            <div class="tab-pane fade" id="eliminar-todos-alumnos">
                <h3 class="headline-inverted">Eliminar a todos los alumnos</h3>
                <hr>
                <p style="font-family:Arial;">
                    Elimina los alumnos
                </p>
                {{Form::open(['url' => 'deleteDBAlumno'])}}
                    {{Form::button('Eliminar alumnos', [
                        'class' => 'btn btn-danger',
                        'type' => 'submit',
                        'onclick' => "return confirm('¿Estás seguro que deseas eliminar a los alumnos del curso?')"
                    ])}}
                {{Form::close()}}
            </div>

            <div class="tab-pane fade" id="eliminar-curso">
                <h3 class="headline-inverted">Eliminar curso</h3>
                <hr>
                <p style="font-family:Arial;">
                    Eliminar toda la información del curso
                </p>

                {{Form::open(['url' => 'deleteAllDB'])}}
                    {{Form::button('Eliminar Curso', [
                        'type' => 'submit',
                        'class' => 'btn btn-danger',
                        'onclick' => "return confirm('¿Estás seguro que deseas eliminar la información del curso?')"
                    ])}}
                {{Form::close()}}
            </div>

        </div> <!--tab-content-->

    </div> <!--container-->


@stop
