@extends('layouts.default')

@section('cssAdd')
    <style>
        #res-index .panel{
            text-align: center;
        }
        #res-index .panel-heading{
            white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden;
            font-weight: bold;
        }
        #res-index .panel .body-text{
            height: 10em;
            overflow-y: scroll;
        }
        #res-index .fa-recurso-show{
            color: #FFF;
        }
        #gsc-i-id1{
            background: none !important;
        }
        #___gcse_0:before{
            content: "Busqueda personalizada" !important;
        }
        #google-search-box{
            padding-top: 1em;
        }
        #google-search-box table table tr > td{
            padding: 0 0 0 6px !important;
        }
        #google-search-box table td.gsc-search-button input{
            height: 25px; width: 65px;
            border: none;
            background-color: #CCC;
        }
        .fa-vota-recurso{
            cursor: pointer;
        }
        .recurso-votado{
            color: #01C504;
        }
        .recurso-autor{
            color: orange;
        }
        .list-video-alumno{
            cursor: pointer;
        }
    </style>
@stop

@section('content')

    <div class="container">
        @if(sizeof($errors))
            <div class="alert alert-danger">
                @foreach($errors->getMessages() as $errorMsg)
                        <ul>
                            <li> <b> {{$errorMsg[0]}} </b> </li>
                        </ul>
                @endforeach
            </div>
        @endif
        <p class="go-back-link" onclick="location.href='/menuAlumno'">
            <i class="fa fa-3x fa-arrow-circle-left"></i><span> Regresar</span>
        </p>
        <!--Nav bar tabs-->
        <ul class="nav nav-tabs">
            <li class="active">
                <a href="#res-index" data-toggle="tab"> <i class="fa fa-list"></i> Recursos</a>
            </li>
            <li>
                <a href="#res-form" data-toggle="tab"> <i class="fa fa-upload"></i> Compartir</a>
            </li>
        </ul>
        <!--Tabs content-->
        <!-- < Recursos: archivos o enlaces -->
        <div class="tab-content">
            <div class="tab-pane fade in active" id="res-index">
                <h3 class="headline-inverted"> <i class="fa {{$tipoView[$tipo]}} fa-recurso-show"></i> Recursos</h3>
                <div class="ayuda-box">
                    <i class="fa fa-info-circle"></i>
                    <p>
                        Si no encuentras algún recurso que te sea útil, puedes realizar tu propia búsqueda.
                    </p>
                </div>
                <div id="google-search-box">
                    <gcse:search enableAutoComplete="true"></gcse:search>
                </div>

                @if($tipo == 'lectura' || $tipo == 'imagen' || $tipo == 'otros')

                    @foreach($recursos as $recurso)

                        <div class="col-sm-3">
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    {{"<a href='/verRecurso/$recurso->id_recurso' target='_blank'>"}}
                                        {{$recurso->nombre}}
                                    </a>
                                </div>
                                <div class="panel-body body-text">

                                    @if(strlen($recurso->descripcion))
                                        <p>
                                            {{$recurso->descripcion}}
                                        </p>
                                    @else
                                        <span class="no-disponible">No hay descripción</span>
                                    @endif

                                </div>
                                <div class="panel-footer">
                                    <span class="votacion">
                                        {{$recurso->num_votos}}
                                    </span>

                                    @if($recurso->id_alumno == Auth::user()->id_alumno)
                                        <span class="recurso-autor">
                                            <i class="fa fa-asterisk"></i>
                                        </span>
                                    @elseif(strpos($recurso->votos, (string)Auth::user()->id_alumno) !== false)
                                        <span class="recurso-votado">
                                            <i class="fa fa-thumbs-o-up"></i>
                                        </span>
                                    @else
                                        <span class="recurso-votar">
                                            <i class="fa fa-thumbs-o-up fa-vota-recurso" type="button" onclick="voteResource(this, '{{Auth::user()->id_alumno. '-' .$recurso->id_recurso}}')">

                                            </i>
                                        </span>
                                    @endif

                                </div>
                            </div>
                        </div>

                    @endforeach

                @elseif($tipo == 'enlace')
                    @foreach($recursos as $recurso)

                        <div class="col-sm-3">
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    {{"<a href=$recurso->url target='_blank'>"}}
                                        {{$recurso->nombre}}
                                    </a>
                                </div>
                                <div class="panel-body body-text">
                                    @if(strlen($recurso->descripcion))
                                        <p>
                                            {{$recurso->descripcion}}
                                        </p>
                                    @else
                                        <span class="no-disponible">No hay descripción</span>
                                    @endif
                                </div>
                                <div class="panel-footer">
                                    <span class="votacion">
                                        {{$recurso->num_votos}}
                                    </span>

                                    @if($recurso->id_alumno == Auth::user()->id_alumno)
                                        <span class="recurso-autor">
                                            <i class="fa fa-asterisk"></i>
                                        </span>
                                    @elseif(strpos($recurso->votos, (string)Auth::user()->id_alumno) !== false)
                                        <span class="recurso-votado">
                                            <i class="fa fa-thumbs-o-up"></i>
                                        </span>
                                    @else
                                        <span class="recurso-votar">
                                            <i class="fa fa-thumbs-o-up fa-vota-recurso" type="button" onclick="voteResource(this, '{{Auth::user()->id_alumno. '-' .$recurso->id_recurso}}')">

                                            </i>
                                        </span>
                                    @endif

                                </div>
                            </div>
                        </div>

                    @endforeach

                @elseif($tipo == 'video')
                    <ul class="list-group">
                        @foreach($recursos as $recurso)

                            <div class="col-sm-3">
                                <div class="panel panel-default center-things">
                                    <div class="panel-heading">
                                        {{$recurso->nombre}}
                                    </div>
                                    <div class="panel-body" onclick="location.href='/showVideo/{{$recurso->id_recurso}}'">
                                        {{"<img class='img-click' src=http://img.youtube.com/vi/" . substr($recurso->url, 32, 11) . "/default.jpg />"}}
                                    </div>
                                    <div class="panel-footer">
                                        <span class="votacion">
                                            {{$recurso->num_votos}}
                                        </span>

                                        @if($recurso->id_alumno == Auth::user()->id_alumno)
                                            <span class="recurso-autor">
                                                <i class="fa fa-asterisk"></i>
                                            </span>
                                        @elseif(strpos($recurso->votos, (string)Auth::user()->id_alumno) !== false)
                                            <span class="recurso-votado">
                                                <i class="fa fa-thumbs-o-up"></i>
                                            </span>
                                        @else
                                            <span class="recurso-votar">
                                                <i class="fa fa-thumbs-o-up fa-vota-recurso" type="button" onclick="voteResource(this, '{{Auth::user()->id_alumno. '-' .$recurso->id_recurso}}')">

                                                </i>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>

                        @endforeach
                    </ul>
                @endif
            </div>
            <!-- Recursos: archivos o enlaces > -->
            <!-- < Formularios: archivo o enlace -->
            <div class="tab-pane fade" id="res-form">

                @if($tipo == 'lectura' || $tipo == 'imagen' || $tipo == 'otros')
                    <h3 class="headline-inverted">Subir Archivo</h3>
                    <div class="ayuda-box">
                        <i class="fa fa-info-circle"></i>
                        <p>
                            Asegúrate de nombrar tu archivo descriptivamente antes de subirlo.
                        </p>
                    </div>
                    {{Form::open(['url' => "subirArchivoAlumno/$tipo", 'files'=>'true'])}}

                        <div class="form-group col-sm-offset-4 col-sm-5">
                            {{Form::input('file','file')}}
                        </div>
                        <div class="form-group col-sm-offset-4 col-sm-5">
                            {{Form::textarea('descripcion', '', array('class'=>'form-control', 'rows'=>'4', 'placeholder' => 'Descripción'))}}
                        </div>
                        <div class="form-group col-sm-offset-6 col-sm-5">
                            {{Form::submit('Subir', ['class'=>'btn btn-default btn-lg'])}}
                        </div>

                    {{Form::close()}}

                @elseif($tipo == 'enlace' || $tipo == 'video')
                    <h3 class="headline-inverted">Compartir Enlace</h3>
                    @if($tipo == 'video')
                        <div class="ayuda-box">
                            <i class="fa fa-info-circle"></i>
                            <p>
                                El campo URL se refiere a la URL del vídeo de Youtube.
                            </p>
                        </div>
                    @endif
                    {{Form::open(['url' => "compartirEnlaceAlumno/$tipo"])}}
                    <div class="form-group col-sm-offset-4 col-sm-5">
                        {{Form::text('nombre', '', ['class' => 'form-control', 'placeholder' => 'Nombre'])}}
                    </div>
                    <div class="form-group col-sm-offset-4 col-sm-5">
                        {{Form::text('url', '', ['class' => 'form-control', 'placeholder' => 'URL'])}}
                    </div>
                    <div class="form-group col-sm-offset-4 col-sm-5">
                        {{Form::textarea('descripcion', '', array('class'=>'form-control', 'rows'=>'4', 'placeholder' => 'Descripción'))}}
                    </div>
                    <div class="form-group col-sm-offset-6 col-sm-5">
                        {{Form::submit('Compartir', ['class'=>'btn btn-default btn-lg'])}}
                    </div>
                    {{Form::close()}}

                @endif
            </div>
            <!-- Formularios: archivo o enlace > -->

        </div> <!-- Fin .tab-content -->
    </div><!-- Fin .container -->

@stop

@section('scriptsAdd')
    <script type="text/javascript" src="/js/gcs.js"></script>
@stop
