@extends('layouts.default')

@section('content')

     <div class="container">

          @if($errors->has('nombre'))
               {{"<div class='alert alert-danger'><b>".$errors->first('nombre')."</b></div>"}}
          @elseif($errors->has('tipo'))
               {{"<div class='alert alert-danger'><b>".$errors->first('tipo')."</b></div>"}}
          @elseif($errors->has('url'))
               {{"<div class='alert alert-danger'><b>".$errors->first('url')."</b></div>"}}
          @endif

          <div class="alert alert-warning">
               <b><span style="color:#ffd100" class="glyphicon glyphicon-warning-sign"></span> El tamaño máximo para subir archivos es de 3 MB</b>
          </div>

          <ul class="nav nav-tabs" role="tablist">
               <li class="active"><a href="#tarea" role="tab" data-toggle="tab">Subir Tarea o Práctica</a></li>
               <li><a href="#recurso" role="tab" data-toggle="tab">Compartir Recurso</a></li>
               <li><a href="#video" role="tab" data-toggle="tab">Compartir Vídeo</a></li>
               <li><a href="#enlace" role="tab" data-toggle="tab">Compartir Sitio Web</a></li>
          </ul>


          <div class="tab-content" style="margin-top:2em">
               <div class="tab-pane active" id="tarea">
                    <h3 class="headline-inverted">Subir Tarea o Práctica</h3>
                    <br>
                    <div id="formHWPdf">

                         {{Form::open(array('url'=>'subirTareaPdf', 'files'=>'true'))}}

                              <div class="form-group col-sm-offset-4 col-sm-5">
                                   {{Form::label('nombre', 'Nombre')}}<br>
                                   {{Form::text('nombre', '', array('class'=>'form-control'))}}
                              </div>

                              <div class="form-group col-sm-offset-4 col-sm-5">
                                   {{Form::label('tipo', 'Tipo de tarea')}}<br>
                                   {{Form::select('tipo', array('normal'=>'Normal',
                                   'practica'=>'Práctica'), null, array('class'=>'form-control'))}}
                              </div>

                              <div class="form-group col-sm-offset-4 col-sm-5">
                                   {{Form::input('file', 'file')}}
                              </div>

                              <div class="form-group col-sm-offset-4 col-sm-5">
                                   {{Form::label('descripcion', 'Descripción')}}<br>
                                   {{Form::textarea('descripcion', '', array('class'=>'form-control', 'rows'=>'4'))}}
                              </div>

                              <div class="form-group col-sm-offset-6 col-sm-5">
                                   {{Form::submit('Subir', ['class'=>'btn btn-default'])}}
                              </div>
                         {{Form::close()}}
                    </div>
               </div>

               <div class="tab-pane" id="recurso">

                    <h3 class="headline-inverted">Compartir Recurso/Archivo</h3>
                    <br>
                    <div class="alert alert-info"><b>El nombre se tomará del archivo, asegúrate de nombrarlo adecuadamente antes de subirlo.</b></div>
                    {{Form::open(array('url'=>'subirArchivo', 'files'=>'true'))}}
                         <div class="form-group col-sm-offset-4 col-sm-5">
                              {{Form::label('tipo', 'Tipo de archivo')}}<br>
                              {{Form::select('tipo', array('lectura'=>'Lectura','imagen'=>'Imagen','otros'=>'Otro'),null,
                               array('class'=>'form-control'))}}
                         </div>
                         <div class="form-group col-sm-offset-4 col-sm-5">
                              {{Form::input('file','file')}}
                         </div>
                         <div class="form-group col-sm-offset-4 col-sm-5">
                              {{Form::label('descripcion', 'Descripción')}}<br>
                              {{Form::textarea('descripcion', '', array('class'=>'form-control', 'rows'=>'4'))}}
                         </div>
                         <div class="form-group col-sm-offset-6 col-sm-5">
                              {{Form::submit('Subir', ['class'=>'btn btn-default'])}}
                         </div>
                    {{Form::close()}}
               </div>

               <div class="tab-pane" id="video">

                    <h3 class="headline-inverted">Compartir Vídeo</h3>
                    <br>

                    {{Form::open(array('url'=>'subirVideo'))}}
                         <div class="form-group col-sm-5 col-sm-offset-4">
                              {{Form::label('nombre', 'Nombre del video')}}<br>
                              {{Form::text('nombre', '', array('class'=>'form-control'))}}
                         </div>
                         <div class="form-group col-sm-5 col-sm-offset-4">
                              {{Form::label('url', 'URL')}}<br>
                              {{Form::text('url', '', array('class'=>'form-control'))}}
                         </div>

                         <div class="form-group col-sm-offset-4 col-sm-5">
                              {{Form::label('descripcion', 'Descripción')}}<br>
                              {{Form::textarea('descripcion', '', array('class'=>'form-control', 'rows'=>'4'))}}
                         </div>

                         <div class="form-group col-sm-5 col-sm-offset-6">
                              {{Form::submit('Compartir', ['class'=>'btn btn-default'])}}
                         </div>
                    {{Form::close()}}
               </div>

               <div class="tab-pane" id="enlace">

                    <h3 class="headline-inverted">Compartir un Sitio Web</h3>
                    <br>

                    {{Form::open(array('url'=>'compartirEnlace'))}}
                         <div class="form-group col-sm-5 col-sm-offset-4">
                              {{Form::label('nombre', 'Nombre del enlace')}}<br>
                              {{Form::text('nombre', '', array('class'=>'form-control'))}}
                         </div>
                         <div class="form-group col-sm-5 col-sm-offset-4">
                              {{Form::label('url', 'URL')}}<br>
                              {{Form::text('url', '', array('class'=>'form-control'))}}
                         </div>

                         <div class="form-group col-sm-offset-4 col-sm-5">
                              {{Form::label('descripcion', 'Descripción')}}<br>
                              {{Form::textarea('descripcion', '', array('class'=>'form-control', 'rows'=>'4'))}}
                         </div>

                         <div class="form-group col-sm-5 col-sm-offset-6">
                              {{Form::submit('Compartir', ['class'=>'btn btn-default'])}}
                         </div>
                    {{Form::close()}}
               </div>

          </div><!---End  tab-content class-->

     </div><!--End container class-->

@stop
