@extends('layouts.default')

@section('cssAdd')
    <style>
        .hide-vark{
            display:none;
        }
        #vark-intro{
            text-align: center;
            margin: auto;
        }
        #vark-intro button{
            font-weight: bold;
            font-size: 1.4em;
            margin-top: 1.5em;
            height: 3.3em;
        }
        #vark-intro p{
            font-size: 2em;
            margin-top: 1.5em;
        }
        #vark-estilos{
            text-align: center;
            margin-top: 3em;
            margin-bottom: 1em;
            background-color: #000;
        }
        #vark-estilos .row{
            margin-right: 0;
            padding: 3em 0 3em 0;
        }
        #vark-estilos p{
            font-size: 1.6em;
            color: #FFF;
            opacity: 0.7;
        }
        #vark-estilos p span{
            font-weight: bolder;
        }
        .fa-8x{
            font-size: 8em;
        }
        .fa-vark{
            color: #FFF;
            cursor: pointer;
            opacity: 0.7;
        }
        .hide-vark h1{
            text-align: center;
        }
        .hide-vark h3{
            text-align: center;
            margin-bottom: 1.1em;
        }
        .hide-vark li{
            font-size: 1.1em;
            padding-bottom: 1em;
        }
        .hide-vark p{
            text-align: center;
            font-size: 1.8em;
            padding: 1.3em;
            border-top: 1px solid #DBDBDB;
            border-bottom: 1px solid #DBDBDB;
        }
    </style>
@stop

@section('content')

    <div class="container">
        <div id="vark-intro">
            <p>
                Los <b>estilos de aprendizaje</b> ayudan a cada individuo a determinar la forma en la que mejor percibe la información, de tal manera que ésta pueda ser asimilada de mejor manera.
            </p>
            <p>
                El <b>cuestionario VARK</b> pregunta una serie de cuestiones para ayudar a la gente a decidir que estilo o estilos son sus preferidos para recibir e intercambiar información en el contexto del aprendizaje.
            </p>
            <p>
                 VARK es un acrónimo de cuatro categorías principales de preferencias: visuales, auditivas, lectura/escritura y kinestésica.
            </p>
            <button onclick="window.open('http://vark-learn.com/el-cuestionario-vark/')" class="btn btn-success btn-block">Tomar el cuestionario</button>
        </div>
    </div> <!--end container-->
    <div id="vark-estilos">
        <div class="row">
            <div class="col-sm-3">
                <i class="fa fa-eye fa-8x fa-vark"></i>
                <p>
                    Visual <span>(V)</span>
                </p>
            </div>
            <div class="col-sm-3">
                <i class="fa fa-volume-up fa-8x fa-vark"></i>
                <p>
                    Auditivo <span>(A)</span>
                </p>
            </div>
            <div class="col-sm-3">
                <i class="fa fa-book fa-8x fa-vark"></i>
                <p>
                    Lectoescritor <span>(R)</span>
                </p>
            </div>
            <div class="col-sm-3">
                <i class="fa fa-hand-spock-o fa-8x fa-vark"></i>
                <p>
                    Kinestésico <span>(K)</span>
                </p>

            </div>
        </div>
    </div>

    <div class="container" id="vark-container">
        <div id="vark-v" class="hide-vark">
            <h1>Estilo Visual</h1>
            <p>
                Los aprendices que prefieren este modo gustan de reunir y procesar información usando tablas, diagramas, gráficas, mapas y otras imágenes o formas basadas en gráfico para comunicarse.
            </p>
            <div class="col-sm-4">
                <h3>Para las clases</h3>
                <ul>
                    <li>Evite las distracciones visuales a la hora de clase, como sentarse cerca de ventanas, puertas abiertas, etc.</li>
                    <li>Busque oportunidades para interrumpir la clase con ejercicios reflexivos pero activos (preguntar-escribir-compartir) y establezca sesiones de reuniones creativas.</li>
                    <li>Ilustre sus notas con imágenes y gráficos.</li>
                    <li>Sintetice y organice sus notas después de clase con mapas conceptuales.</li>
                </ul>
            </div>
            <div class="col-sm-4">
                <h3>Al momento del leer libros</h3>
                <ul>
                    <li>Observe los títulos, tablas, gráficos e imágenes para obtener una idea general del contenido antes de leer un capitulo.</li>
                    <li>Use marcadores de distinto color para enfatizar el material importante.</li>
                    <li>Escriba o ilustre los márgenes para enfatizar el material destacable.</li>
                </ul>
            </div>
            <div class="col-sm-4">
                <h3>Para un examen</h3>
                <ul>
                    <li>Escriba/Ilustre los pasos en una secuencia en forma de lista para revisar.</li>
                    <li>Piense en ayudas visuales y asociaciones al recordar información (quizás vea la ubicación de una respuesta en lugar de la respuesta misma).</li>
                    <li>Si debe presentar exámenes estandarizados o con límite de tiempo, reúnase con su profesor para discutir alternativas de evaluación.</li>
                    <li>Ensayos y/o exámenes con respuestas cortas, o presentaciones/demostraciones en clase pueden ser técnicas de evaluación opcionales.</li>
                </ul>
            </div>
        </div>
        <div id="vark-a" class="hide-vark">
            <h1>Estilo Auditivo</h1>
            <p>
                La instrucción que se habla o se escucha facilita el aprendizaje de este tipo de aprendizaje. Las conferencias, las grabaciones, los debates y los correos electrónicos son todos mecanismos que permiten que la gente de esta modalidad debata y explore conceptos con otras personas y trabajen mejor en entornos de aprendizaje.
            </p>
            <div class="col-sm-4">
                <h3>Para recibir información</h3>
                <ul>
                    <li>Asista a las clases.</li>
                    <li>Asista a debates y tutorías.</li>
                    <li>Discuta los temas con los demás.</li>
                    <li>Explique a otros la temática.</li>
                    <li>Use una grabadora.</li>
                    <li>Deje espacios en blanco al momento de tomar notas.</li>
                </ul>
            </div>
            <div class="col-sm-4">
                <h3>Recomendaciones u observaciones generales</h3>
                <ul>
                    <li>Los apuntes generados pueden carecer de contenido sustancial.</li>
                    <li>Ampliar las notas dialogando con los demás.</li>
                    <li>Realice grabaciones digitales de MP3, MP4.</li>
                    <li>Solicite a otros que escuchen su compresión de algún tema.</li>
                    <li>Lea los apuntes resumidos en voz alta.</li>
                    <li>Explique sus apuntes a otras personas.</li>
                </ul>
            </div>
            <div class="col-sm-4">
                <h3>Para un examen</h3>
                <ul>
                    <li>Imagínese conversando con el examinador, y anote el contenido significativo.</li>
                    <li>Pasar tiempo en lugares tranquilos recapitulando ideas.</li>
                    <li>Plantéese un examen o en caso de tener exámenes pasados, practique escribiendo las respuestas y decir en voz alta o en silencio las respuestas.</li>
                </ul>
            </div>
        </div>
        <div id="vark-r" class="hide-vark">
            <h1>Estilo Lectoescritor</h1>
            <p>
                Las personas con una preferencia a la modalidad leer/escribir aprenden mejor cuando reciben y devuelven la información en palabras. La comunicación puede ser por escrito o tecleada. Las herramientas de elección son los diccionarios, Internet, PowerPoint, respuestas escritas y signos de texto.
            </p>
            <div class="col-sm-4">
                <h3>Puede recibir información en forma de</h3>
                <ul>
                    <li>Listas, títulos, diccionarios, glosarios, definiciones, folletos, libros de texto, lecturas, notas, ensayos, manuales, etc.</li>
                </ul>
            </div>
            <div class="col-sm-4">
                <h3>Recomendaciones generales</h3>
                <ul>
                    <li>Escriba las palabras clave de un tema varias veces.</li>
                    <li>Lea sus apuntes en repetidas ocasiones.</li>
                    <li>Vuelva a escribir las ideas y principios, pero esta vez en otras palabras.</li>
                    <li>Estructure los diagramas, gráficos, etc., en forma de enunciados.</li>
                </ul>
            </div>
            <div class="col-sm-4">
                <h3>Para un examen</h3>
                <ul>
                    <li>Plantéese un examen o en caso de tener exámenes pasados, escribir las respuestas.</li>
                    <li>Practique con preguntas de opción múltiple.</li>
                    <li>Escriba párrafos.</li>
                    <li>Haga listas.</li>
                    <li>Organice las palabras en jerarquías y puntos clave.</li>
                </ul>
            </div>
        </div>
        <div id="vark-k" class="hide-vark">
            <h1>Estilo Kinestésico</h1>
            <p>
                Estas personas aprender mejor haciendo actividades que les permiten experimentar o practicar el concepto que están intentando aprender. La clave para el aprendizaje efectivo es que la instrucción les ofrece oportunidades concretas para aplicar la información. Las herramientas que mejor se ajustan a las necesidades de los aprendices cinestéticos incluyen demostraciones, simulaciones, videos y estudios de caso.
            </p>
            <div class="col-sm-4">
                <h3>Puede percibir la información</h3>
                <ul>
                    <li>Usando todos los sentidos.</li>
                    <li>Asistiendo a laboratorios, prácticas, viajes de estudio, visitas de campo, exposiciones, etc.</li>
                    <li>Encontrando aplicaciones a la vida real.</li>
                    <li>Mediante ensayo y error.</li>
                    <li>Coleccionando objetos.</li>
                    <li>Tomando muestras o fotografías.</li>
                </ul>
            </div>
            <div class="col-sm-4">
                <h3>Recomendaciones u observaciones generales</h3>
                <ul>
                    <li>Sus notas serán carentes de contenido si los temas no fueron 'concretos'.</li>
                    <li>Tiene tendencia a recordar lo que realmente pasó.</li>
                    <li>Poner ejemplos en sus resúmenes.</li>
                    <li>Use estudios de caso y aplicaciones.</li>
                    <li>Hable acerca de sus notas con otra persona kinestésica.</li>
                    <li>Use imágenes y fotografías que ilustren una idea.</li>
                    <li>Busque simulaciones reales o de software.</li>
                </ul>

            </div>
            <div class="col-sm-4">
                <h3>Para un examen</h3>
                <ul>
                    <li>Escriba las respuestas de la práctica, o del laboratorio.</li>
                    <li>Utilice juegos de rol.</li>
                    <li>Estudie con ejemplos, ejercicios prácticos, y simulaciones.</li>
                </ul>

            </div>
        </div>
    </div>
@stop

@section('scriptsAdd')
    <script src="/dist/js/vark.js"></script>
@stop
