(function(){

    function setRequestChartData(url){
        return $.ajax({
            type: 'GET',
            url: url,
            jsonpCallback: 'jsonp_callback',
            contentType: 'application/json',
            dataType: 'jsonp',
            success: function(data){
                return data;
            },
            error: function(error){
                console.log("Error!!");
                console.log(error);
                return 0;
            }
        });
    }

    function getChartDataResources(){

        var data = {
            labels: ['Visual', 'Aural', 'Lectoescritura', 'Kinestesico'],
            series: [40, 70, 85, 55]
        };

        return data;

    }

    function setChart(chartConstructor, selector, data, options){

        new chartConstructor(selector, data, options);

    }

    function sum(a, b){
        return a + b;
    }

    //Grafica de pastel
    var url = 'http://avdi.herokuapp.com/stadisticsData';
    var p = setRequestChartData(url);

    p.then(function(data){

        console.log(data);
        setChart(Chartist.Pie, '.ct-chart-estilos', data, {
            labelInterpolationFnc: function(value) {

                if(value){
                    return Math.round(value / data.series.reduce(sum) * 100) + '%';
                }

            }
        });

    });

    //Grafica de barras
    var dataResource = getChartDataResources();

    setChart(Chartist.Bar, '.ct-chart-recurso', dataResource, {
        distributeSeries: true,
        high: 100
    });


})();
